import { defineComponent as N, resolveComponent as k, openBlock as z, createElementBlock as C, createElementVNode as _, createTextVNode as L, toDisplayString as j, unref as s, createVNode as p } from "vue";
import { d as F } from "./index-3b037843.mjs";
import { R as O } from "./index-0aa2c910.mjs";
import { message as u } from "ant-design-vue";
import { b as P } from "./config-f0e1b8af.mjs";
import { e as d } from "./Workspace-b0c76eb5.mjs";
import { _ as B } from "./_commonjsHelpers-4c55c438.mjs";
const E = { class: "rule-box" }, M = { class: "form-name" }, G = /* @__PURE__ */ N({
  __name: "Rule",
  props: {
    currentRoleItem: { type: Object, required: !0 },
    ruleResourceId: { type: String, required: !0 },
    ruleResourceTableName: { type: String, required: !0 }
  },
  setup(g) {
    const r = g, y = r.ruleResourceTableName, f = r.ruleResourceId, b = [
      {
        title: "规则名称",
        dataIndex: "name"
      },
      {
        title: "规则表",
        dataIndex: "rule_table"
      },
      {
        title: "规则字段",
        dataIndex: "rule_column"
      },
      {
        title: "条件规则",
        dataIndex: "rule_conditions"
      },
      {
        title: "规则值",
        dataIndex: "rule_value"
      }
    ], n = ref([]);
    let l = ref(!1), R = ref(0), c = ref({
      page: 1,
      size: 10
    }), i = ref("");
    const o = ref([]), h = async (e, a) => {
      c.value.page = e, c.value.size = a, await v();
      const { _id: t } = r.currentRoleItem, m = await d.getDataRules(t, f);
      o.value = m.list.map((q) => q._id);
    }, v = async () => {
      l.value = !0, n.value = [], Object.assign(c.value, { rule_table: r.ruleResourceId });
      try {
        const e = await F.getRules(c.value);
        R.value = e.total, n.value = e.list;
      } catch (e) {
        u.error(e.msg);
      } finally {
        l.value = !1;
      }
    }, I = async (e, a) => {
      try {
        const t = await d.getDataRules(e, a);
        o.value = t.list.map((m) => m._id);
      } catch ({ msg: t }) {
        u.error(t);
      }
    }, w = (e) => {
      e.length != 0 ? e.forEach((a) => {
        i.value = a.value;
      }) : i.value = "";
    }, D = computed(() => i.value ? n.value.filter((e) => e.name.includes(i.value)) : n.value), S = async (e, a) => {
      const { _id: t } = r.currentRoleItem;
      a ? await x(t, e) : await T(t, e);
    }, x = async (e, a) => {
      l.value = !0;
      try {
        await d.bindDataRule(e, a), u.success("授权成功"), o.value.push(...a);
      } catch ({ msg: t }) {
        u.error(t);
      } finally {
        l.value = !1;
      }
    }, T = async (e, a) => {
      l.value = !0;
      try {
        await d.unbindDataRule(e, a), u.success("取消授权成功"), o.value = o.value.filter((t) => !a.includes(t));
      } catch ({ msg: t }) {
        u.error(t);
      } finally {
        l.value = !1;
      }
    };
    return onMounted(() => {
      const { _id: e } = r.currentRoleItem;
      v(), I(e, f);
    }), (e, a) => {
      const t = k("GTSearch");
      return z(), C("div", E, [
        _("div", M, [
          _("strong", null, [
            L(" 表单名称："),
            _("span", null, j(s(y)), 1)
          ])
        ]),
        p(t, {
          fields: s(P),
          onSearch: w
        }, null, 8, ["fields"]),
        p(O, {
          columns: b,
          currentRoleItem: e.currentRoleItem,
          tableData: s(D),
          tableLoading: s(l),
          onRowClick: S,
          total: s(R),
          selectedRowKeysFlag: s(o),
          onPageSizeChange: h,
          myPagination: "rule"
        }, null, 8, ["currentRoleItem", "tableData", "tableLoading", "total", "selectedRowKeysFlag"])
      ]);
    };
  }
});
const H = /* @__PURE__ */ B(G, [["__scopeId", "data-v-15eff1e3"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/Resources/Rule.vue"]]), X = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: H
}, Symbol.toStringTag, { value: "Module" }));
export {
  H as R,
  X as _
};
