import { defineComponent as j, resolveComponent as v, openBlock as E, createElementBlock as B, createElementVNode as d, createVNode as o, unref as s, withCtx as r, createTextVNode as _, toDisplayString as G, isRef as K, normalizeStyle as Z, pushScopeId as H, popScopeId as J } from "vue";
import { S as M } from "./types-b6ebfd92.mjs";
import { s as R } from "./index-96ae9e92.mjs";
import { message as g } from "ant-design-vue";
import { l as W } from "./index-1621650e.mjs";
import { _ as Q } from "./_commonjsHelpers-4c55c438.mjs";
const S = (y) => (H("data-v-7c9942ec"), y = y(), J(), y), X = { class: "login-wrapper" }, Y = /* @__PURE__ */ S(() => /* @__PURE__ */ d("div", { class: "title" }, "重置密码", -1)), ee = { class: "body" }, oe = { class: "submit" }, se = { class: "link-wrapper" }, te = { class: "img-verify-code-content" }, re = /* @__PURE__ */ S(() => /* @__PURE__ */ d("h3", null, "请输入验证码", -1)), ae = { class: "img-wrapper" }, ie = 180, le = /* @__PURE__ */ j({
  __name: "index",
  emits: ["update:status"],
  setup(y, { emit: T }) {
    const O = T, w = ref(!1), a = ref({
      phone: "",
      verifyCode: "",
      password: "",
      confirmPassword: ""
    }), N = async (t, e) => e !== a.value.password ? Promise.reject("两次输入的密码不一致") : Promise.resolve(), U = readonly({
      phone: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入手机号码"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      verifyCode: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入验证码"
        }
      ],
      password: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        }
      ],
      confirmPassword: [
        {
          trigger: "blur",
          required: !0,
          message: "请输再次输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        },
        {
          trigger: "blur",
          validator: N
        }
      ]
    }), b = ref(), x = ref(), C = ref(), h = ref(!1), f = ref(!1), V = ref(""), I = ref(""), p = reactive({
      loading: !1,
      verifyCodeDisabled: !1,
      modelVisible: !1,
      getVerifyCodeText: "获取验证码"
    }), m = reactive({
      imgVerifyCode: ""
    }), D = readonly({
      imgVerifyCode: [
        {
          required: !0,
          message: "请输入验证码"
        }
      ]
    }), k = async () => {
      const t = await R.getImageCode();
      t && (V.value = t.imgKey, I.value = t.base64);
    }, q = () => {
      f.value = !1;
    }, A = () => {
      var t;
      (t = b.value) == null || t.validateFields("phone").then(async () => {
        f.value = !0, k(), nextTick(() => {
          var e;
          (e = C.value) == null || e.focus();
        });
      });
    }, $ = () => {
      var t;
      (t = x.value) == null || t.validateFields().then(
        async () => {
          var e;
          h.value = !0;
          try {
            await R.getResetPasswdSmsCode(
              a.value.phone,
              V.value,
              m.imgVerifyCode
            ), g.success("短信验证码已发送"), f.value = !1, F();
          } catch (l) {
            g.error(`验证码错误：${l.msg || "未知错误"}`), k(), m.imgVerifyCode = "", (e = C.value) == null || e.focus();
          } finally {
            h.value = !1;
          }
        },
        (e) => {
          g.error(JSON.stringify(e));
        }
      );
    }, F = () => {
      m.imgVerifyCode = "", p.verifyCodeDisabled = !0;
      let t = ie;
      const e = setInterval(() => {
        p.getVerifyCodeText = `${t}秒后重新获取`, t -= 1, t === 0 && (p.getVerifyCodeText = "获取验证码", p.verifyCodeDisabled = !1, clearInterval(e));
      }, 1e3);
    }, L = () => {
      var t;
      (t = b.value) == null || t.validate().then(async (e) => {
        w.value = !0;
        const { phone: l, verifyCode: c, password: u } = e;
        try {
          if (!await W.resetPassword(l, c, u))
            return;
          g.success("重置密码成功"), a.value = {
            phone: "",
            verifyCode: "",
            password: "",
            confirmPassword: ""
          };
        } catch (n) {
          g.error(n.msg);
        } finally {
          w.value = !1;
        }
      });
    };
    return (t, e) => {
      const l = v("svg-icon"), c = v("a-input"), u = v("a-form-item"), n = v("a-button"), P = v("a-form"), z = v("a-modal");
      return E(), B("div", X, [
        Y,
        d("div", ee, [
          o(P, {
            model: s(a),
            ref_key: "resetPwdRef",
            ref: b,
            rules: s(U)
          }, {
            default: r(() => [
              o(u, { name: "phone" }, {
                default: r(() => [
                  o(c, {
                    value: s(a).phone,
                    "onUpdate:value": e[0] || (e[0] = (i) => s(a).phone = i),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "手机号码"
                  }, {
                    prefix: r(() => [
                      o(l, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(u, { name: "verifyCode" }, {
                default: r(() => [
                  o(c, {
                    ref_key: "verifyInputRef",
                    ref: C,
                    value: s(a).verifyCode,
                    "onUpdate:value": e[1] || (e[1] = (i) => s(a).verifyCode = i),
                    class: "input-item verify-code",
                    placeholder: "验证码"
                  }, {
                    prefix: r(() => [
                      o(l, { icon: "NumberOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"]),
                  o(n, {
                    class: "btn-verify-code",
                    type: "link",
                    onClick: A,
                    disabled: s(p).verifyCodeDisabled
                  }, {
                    default: r(() => [
                      _(G(s(p).getVerifyCodeText), 1)
                    ]),
                    _: 1
                  }, 8, ["disabled"])
                ]),
                _: 1
              }),
              o(u, { name: "password" }, {
                default: r(() => [
                  o(c, {
                    value: s(a).password,
                    "onUpdate:value": e[2] || (e[2] = (i) => s(a).password = i),
                    type: "password",
                    allowClear: "",
                    class: "input-item",
                    placeholder: "密码6到16位，包含数字和大小写字母"
                  }, {
                    prefix: r(() => [
                      o(l, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(u, { name: "confirmPassword" }, {
                default: r(() => [
                  o(c, {
                    type: "password",
                    value: s(a).confirmPassword,
                    "onUpdate:value": e[3] || (e[3] = (i) => s(a).confirmPassword = i),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "确认密码"
                  }, {
                    prefix: r(() => [
                      o(l, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              d("div", oe, [
                o(n, {
                  type: "primary",
                  block: "",
                  onClick: L,
                  class: "input-item",
                  loading: s(w)
                }, {
                  default: r(() => [
                    _(" 确定 ")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              d("div", se, [
                o(n, {
                  class: "btn-forget-passwd",
                  type: "link",
                  onClick: e[4] || (e[4] = () => O("update:status", s(M).SIGNING))
                }, {
                  default: r(() => [
                    _("立即登录")
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          o(z, {
            class: "img-verify-code-wrapper",
            open: s(f),
            "onUpdate:open": e[6] || (e[6] = (i) => K(f) ? f.value = i : null),
            footer: null,
            onCancel: q
          }, {
            default: r(() => [
              d("div", te, [
                re,
                d("div", ae, [
                  d("img", {
                    class: "img-verify-code",
                    style: Z({ "background-image": `url(${s(I)})` })
                  }, null, 4),
                  o(n, {
                    class: "btn-change-code",
                    type: "link",
                    onClick: k
                  }, {
                    default: r(() => [
                      _("看不清，换一个")
                    ]),
                    _: 1
                  })
                ]),
                o(P, {
                  ref_key: "codeFormRef",
                  ref: x,
                  model: s(m),
                  rules: s(D)
                }, {
                  default: r(() => [
                    o(u, {
                      class: "input-img-code",
                      name: "imgVerifyCode"
                    }, {
                      default: r(() => [
                        o(c, {
                          ref_key: "verifyInputRef",
                          ref: C,
                          value: s(m).imgVerifyCode,
                          "onUpdate:value": e[5] || (e[5] = (i) => s(m).imgVerifyCode = i),
                          maxLength: 4,
                          allowClear: !0,
                          placeholder: "验证码"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    o(n, {
                      type: "primary",
                      block: "",
                      onClick: $,
                      class: "input-item",
                      loading: s(h)
                    }, {
                      default: r(() => [
                        _(" 确定 ")
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                }, 8, ["model", "rules"])
              ])
            ]),
            _: 1
          }, 8, ["open"])
        ])
      ]);
    };
  }
});
const ne = /* @__PURE__ */ Q(le, [["__scopeId", "data-v-7c9942ec"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/ResetPasswd/index.vue"]]), ve = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ne
}, Symbol.toStringTag, { value: "Module" }));
export {
  ne as R,
  ve as _
};
