import { defineComponent as w, resolveComponent as u, openBlock as p, createElementBlock as b, createVNode as v, unref as l, createBlock as K, isRef as d, createCommentVNode as S } from "vue";
import { _ as C } from "./_commonjsHelpers-4c55c438.mjs";
const q = { class: "table-box" }, R = /* @__PURE__ */ w({
  __name: "index",
  props: {
    tableData: { type: Array, required: !0 },
    columns: { type: Array, required: !0 },
    selectedRowKeysFlag: { type: Array, required: !0 },
    tableLoading: { type: Boolean, required: !1 },
    total: { type: Number, required: !1 },
    rowKey: { type: String, required: !1, default: "_id" },
    scrollY: { type: [Number, String], required: !1, default: 400 },
    myPagination: { type: String, required: !1 },
    pagination: { type: Boolean, required: !1, default: !1 }
  },
  emits: ["rowClick", "pageSizeChange"],
  setup(m, { emit: g }) {
    let a = ref(1), r = ref(10);
    const n = m, y = computed(() => {
      const e = { scrollToFirstRowOnChange: !0 };
      return n.scrollY && (e.y = `calc(100vh - ${n.scrollY}px)`), e;
    }), s = g, _ = computed(() => ({
      columnWidth: 60,
      // selectedRowKeys为被选择的table数据表单的id
      selectedRowKeys: n.selectedRowKeysFlag,
      //当表单被选中时触发，从而去授权、或者取消授权
      onSelect(e, o) {
        s("rowClick", [e[n.rowKey]], o);
      },
      onSelectAll(e, o, i) {
        const c = i.map((t) => t[n.rowKey]);
        s("rowClick", c, e);
      }
    })), f = (e, o) => {
      a.value = e, r.value = o, s("pageSizeChange", e, o);
    };
    return (e, o) => {
      const i = u("a-table"), c = u("a-pagination");
      return p(), b("div", q, [
        v(i, {
          columns: e.columns,
          "data-source": e.tableData,
          loading: e.tableLoading,
          rowKey: e.rowKey,
          scroll: l(y),
          "row-selection": l(_),
          pagination: e.pagination
        }, null, 8, ["columns", "data-source", "loading", "rowKey", "scroll", "row-selection", "pagination"]),
        e.myPagination == "authorizationForm" || e.myPagination == "rule" ? (p(), K(c, {
          key: 0,
          current: l(a),
          "onUpdate:current": o[0] || (o[0] = (t) => d(a) ? a.value = t : a = t),
          "page-size": l(r),
          "onUpdate:pageSize": o[1] || (o[1] = (t) => d(r) ? r.value = t : r = t),
          total: e.total,
          rowKey: e.rowKey,
          "show-total": (t) => `共${t}条`,
          onChange: f
        }, null, 8, ["current", "page-size", "total", "rowKey", "show-total"])) : S("", !0)
      ]);
    };
  }
});
const h = /* @__PURE__ */ C(R, [["__scopeId", "data-v-c70abdb9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/components/ResourceTable/index.vue"]]), N = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: h
}, Symbol.toStringTag, { value: "Module" }));
export {
  h as R,
  N as _
};
