import { defineComponent as y, openBlock as g, createElementBlock as h, createVNode as b, unref as c } from "vue";
import { R as w } from "./index-0aa2c910.mjs";
import { e as n } from "./Workspace-b0c76eb5.mjs";
import { x, c as I } from "./Xhttp-31c5c56a.mjs";
import { message as r } from "ant-design-vue";
import { _ as L } from "./_commonjsHelpers-4c55c438.mjs";
const k = {
  // 查询资源列表
  async queryResourceList(l) {
    return await x.get(
      I.RESOURCE_LIST,
      l
    );
  }
}, A = { class: "authorApi-box" }, q = /* @__PURE__ */ y({
  __name: "index",
  props: {
    currentRoleItem: { type: Object, required: !0 }
  },
  setup(l) {
    let d = ref(0), o = ref(!1);
    const i = ref([]), s = ref([]), u = l, _ = [
      {
        title: "接口名称",
        dataIndex: "name"
      },
      {
        title: "接口地址",
        dataIndex: "uri"
      },
      {
        title: "所属分组",
        dataIndex: "groupname"
      },
      {
        title: "接口描述",
        dataIndex: "description"
      }
    ], p = async () => {
      o.value = !0;
      try {
        const e = await k.queryResourceList({ type: "api" });
        i.value = e.list;
      } catch ({ msg: e }) {
        r.error(e);
      } finally {
        o.value = !1;
      }
    }, m = async () => {
      const { _id: e } = u.currentRoleItem;
      try {
        let t = await n.authResource(e, { type: "api" });
        s.value = t.map((a) => a._id);
      } catch {
        r.error("获取角色授权接口失败");
      }
    };
    onMounted(async () => {
      await p(), await m();
    });
    const f = async (e, t) => {
      const { _id: a } = u.currentRoleItem;
      t ? await R(a, e) : await v(a, e);
    }, R = async (e, t) => {
      o.value = !0;
      try {
        await n.authorizeResource(e, t), r.success("授权成功"), s.value.push(...t);
      } catch ({ msg: a }) {
        r.error(a);
      } finally {
        o.value = !1;
      }
    }, v = async (e, t) => {
      o.value = !0;
      try {
        await n.revokeResource(e, t), r.success("取消授权成功"), s.value = s.value.filter((a) => !t.includes(a));
      } catch ({ msg: a }) {
        r.error(a);
      } finally {
        o.value = !1;
      }
    };
    return (e, t) => (g(), h("div", A, [
      b(w, {
        currentRoleItem: e.currentRoleItem,
        columns: _,
        tableData: c(i),
        tableLoading: c(o),
        onRowClick: f,
        total: c(d),
        selectedRowKeysFlag: c(s),
        pagination: !1,
        scrollY: 240
      }, null, 8, ["currentRoleItem", "tableData", "tableLoading", "total", "selectedRowKeysFlag"])
    ]));
  }
});
const C = /* @__PURE__ */ L(q, [["__scopeId", "data-v-dc34cf93"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/AuthorApi/index.vue"]]), j = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: C
}, Symbol.toStringTag, { value: "Module" }));
export {
  C as A,
  j as _
};
