import { defineComponent as m, resolveComponent as i, openBlock as s, createElementBlock as u, createVNode as l, withCtx as f, createTextVNode as y } from "vue";
import { u as c } from "./index-e68e98a5.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "ant-design-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
const b = { class: "max" }, F = /* @__PURE__ */ m({
  name: "FormTest",
  __name: "index",
  setup(v) {
    const t = ref(), o = {
      formDef: {
        dicts: [
          {
            name: "12222",
            type: "enum",
            items: ["1233", "234"]
          },
          {
            name: "省级行政区",
            type: "enum",
            items: ["1233", "37"]
          },
          {
            name: "市级行政区",
            type: "table",
            fields: ["市编码", "市名称"],
            labelField: "市名称",
            valueField: "市编码"
          },
          {
            name: "县级行政区",
            type: "table",
            fields: ["市编码", "县名称", "县编码"],
            labelField: "县名称",
            valueField: "县编码"
          }
        ],
        layout: {
          children: [
            {
              type: "Card",
              options: {
                title: 3,
                depends: ["==", "数字", 11],
                children: [
                  {
                    type: "TextField",
                    options: {
                      type: "text",
                      field: "value",
                      label: "文本框",
                      required: !0,
                      // hide: true
                      depends: ["==", "value1", "11"]
                    }
                  },
                  {
                    type: "TextField",
                    options: {
                      type: "text",
                      field: "value1",
                      label: "文本框1",
                      unit: "MenuUnfoldOutlined",
                      // calculator: ['concat', '+', 'value', '市名称'],
                      // readonly: true,
                      required: !0
                    }
                  },
                  {
                    type: "Title",
                    options: {
                      text: "text"
                    }
                  },
                  {
                    type: "SplitLine"
                  }
                  // {
                  //   type: 'TextField',
                  //   options: {
                  //     type: 'text',
                  //     field: '市名称',
                  //     label: '市名称',
                  //     readonly: true,
                  //     calculator: ['get', '市名称', '市编码'],
                  //     required: true
                  //   }
                  // },
                  // {
                  //   type: 'SelectField',
                  //   options: {
                  //     type: 'text',
                  //     label: '市级行政区',
                  //     required: true,
                  //     field: '市编码',
                  //     // default: '5403',
                  //     dictRef: '市级行政区'
                  //   }
                  // },
                  // {
                  //   type: 'SelectField',
                  //   options: {
                  //     type: 'text',
                  //     label: '县级行政区',
                  //     required: true,
                  //     default: '540325',
                  //     field: '县编码',
                  //     lazy: true,
                  //     dictRef: '县级行政区',
                  //     filter: ['=', '市编码', '市编码']
                  //   }
                  // }
                ]
              }
            },
            {
              type: "NumberField",
              options: {
                type: "text",
                field: "数字",
                label: "数字",
                required: !0
              }
            },
            {
              type: "NumberField",
              options: {
                type: "text",
                field: "数字112",
                label: "数字2",
                required: !0
              }
            },
            {
              type: "RadioField",
              options: {
                type: "text",
                field: "级联框",
                label: "级联框",
                dict: {
                  type: "inline",
                  items: [
                    {
                      value: "zhejiang",
                      label: "Zhejiang",
                      children: [
                        {
                          value: "hangzhou",
                          label: "Hangzhou",
                          children: [
                            {
                              value: "xihu",
                              label: "West Lake"
                            }
                          ]
                        }
                      ]
                    },
                    {
                      value: "jiangsu",
                      label: "Jiangsu",
                      children: [
                        {
                          value: "nanjing",
                          label: "Nanjing",
                          children: [
                            {
                              value: "zhonghuamen",
                              label: "Zhong Hua Men"
                            }
                          ]
                        }
                      ]
                    }
                  ]
                },
                required: !0
              }
            },
            {
              type: "NumberField",
              options: {
                type: "text",
                field: "数字3",
                label: "数字3",
                precision: 2,
                calculator: ["+", "数字", "数字2"],
                readonly: !0,
                required: !0
              }
            },
            {
              type: "DateField",
              options: {
                type: "text",
                default: "{now}",
                field: "数字选择框",
                label: "数字选择框",
                // mode: 'year',
                // showTime: true,
                monthOffset: [2, 2],
                // minDate: 1709654400000,
                // maxDate: 1711555200000,
                required: !0
              }
            },
            {
              type: "YearSelectField",
              options: {
                type: "text",
                label: "年份",
                field: "年份",
                required: !0
              }
            },
            {
              type: "iconField",
              options: {
                type: "text",
                label: "icon",
                field: "图标",
                default: "FileFilled",
                required: !0
              }
            },
            {
              type: "NumberWithUnitField",
              options: {
                type: "text",
                label: "数字单位框",
                precision: 2,
                // calculator: ['+', '数字', '数字2'],
                valueField: {
                  field: "数字单位框"
                },
                unitField: {
                  field: "数字单位"
                },
                dictRef: "市级行政区",
                required: !0
              }
            },
            {
              type: "DateRangeField",
              options: {
                type: "date",
                label: "时间范围选择器",
                required: !0,
                // showTime: true,
                // default: [1710432000000, 1710518399999],
                startField: {
                  type: "datetime",
                  field: "startField",
                  label: "开始时间"
                },
                endField: {
                  type: "datetime",
                  field: "endField",
                  label: "结束时间"
                }
              }
            },
            {
              type: "FileField",
              options: {
                type: "file",
                label: "文件上传",
                required: !0,
                field: "n6th7w4i7j",
                suffixes: ["xlsx"],
                // max: 1,
                sizeLimit: 20480
              }
            },
            {
              type: "PictureField",
              options: {
                type: "text",
                label: "图片选择器",
                required: !0,
                field: "图片选择器",
                max: 1,
                suffixes: [".png", ".jpg", ".jpeg"]
              }
            },
            {
              type: "LonLatInputField",
              options: {
                label: "经纬度输入器",
                type: "numeric",
                precision: 6,
                required: !0,
                // readonly: true,
                selectType: "degree",
                field: "uv4j1p1c3s"
              }
            },
            {
              type: "SubForm",
              options: {
                field: "学习mis表子表",
                label: "测试子表",
                formUid: "学习mis表子表",
                uniqueKey: "字段1"
              }
            },
            {
              type: "LonLatField",
              options: {
                type: "numeric",
                mapLocationVisible: !0,
                required: !0,
                label: "经纬度",
                lonField: {
                  field: "现场经度"
                },
                latField: {
                  field: "现场纬度"
                },
                pcodeField: {
                  field: "省编号"
                },
                pnameField: {
                  field: "省名称"
                },
                cnameField: {
                  field: "市名称"
                },
                ccodeField: {
                  field: "市编号"
                },
                fnameField: {
                  field: "县名称"
                },
                fcodeField: {
                  field: "县编号"
                },
                addressField: {
                  field: "地址"
                }
              }
            },
            {
              type: "TextField",
              options: {
                type: "text",
                field: "省名称",
                label: "省名称"
              }
            },
            {
              type: "SelectField",
              options: {
                type: "text",
                field: "省编号",
                dictRef: "省级行政区",
                label: "省编号"
              }
            },
            {
              type: "TextField",
              options: {
                type: "text",
                field: "市编号",
                label: "市编号"
              }
            },
            {
              type: "TextField",
              options: {
                type: "text",
                field: "市名称",
                label: "市名称"
              }
            },
            {
              type: "TextField",
              options: {
                type: "text",
                field: "县编号",
                label: "县编号"
              }
            },
            {
              type: "TextField",
              options: {
                type: "text",
                field: "县名称",
                label: "县名称"
              }
            },
            {
              type: "TextField",
              options: {
                type: "text",
                field: "地址",
                label: "地址"
              }
            }
          ]
        },
        validators: {
          fieldValidators: [
            {
              label: "文本输入框",
              validators: [
                {
                  type: "required"
                },
                {
                  type: "text-range",
                  options: {
                    max: 11,
                    min: 6
                    // message: '1222'
                  }
                }
              ],
              field: "value1"
            }
          ],
          formValidators: [
            {
              type: "compare",
              options: {
                expression: ["==", "value2", "value1"],
                message: "a和b的值必须一致"
              }
            }
          ],
          subformValidators: []
        },
        subTables: [
          {
            fk: "__main_form_record_uid_field__",
            name: "学习mis表子表"
          }
        ]
      },
      //   readonlyFields: '*',
      formRecordData: {
        value: 1,
        startField: 1710432e6,
        endField: 1710518399999,
        uv4j1p1c3s: 233,
        图片选择器: ["mis-engine-server//20240321/v6d998ecljwmydmom2vunoey4c7yphqm.jpg"],
        n6th7w4i7j: [
          { name: "农业外来入侵植物重点调查记录表.xlsx", uid: "328168a92ecc4f029355b459716eedf9" }
        ],
        学习mis表子表: {
          form: "学习mis表子表",
          data: [
            {
              字段3: 122,
              字段2: 333,
              字段1: 444,
              字段4: 12122
            }
          ]
        }
      }
    }, p = ({ field: e, value: r }) => {
    }, d = async () => {
      const e = await t.value.submit();
      console.log("res :>> ", e);
    };
    return (e, r) => {
      const a = i("GTForm"), n = i("a-button");
      return s(), u("div", b, [
        l(a, {
          id: "report",
          ref_key: "formRef",
          ref: t,
          options: o,
          onChange: p
        }, null, 512),
        l(n, {
          type: "primary",
          onClick: d
        }, {
          default: f(() => [
            y("提交")
          ]),
          _: 1
        })
      ]);
    };
  }
}), x = /* @__PURE__ */ c(F, [["__scopeId", "data-v-a618438b"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/app/views/FormTest/index.vue"]]), re = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: x
}, Symbol.toStringTag, { value: "Module" }));
export {
  re as _
};
