import { defineComponent as V, resolveComponent as y, openBlock as s, createElementBlock as O, createVNode as b, unref as t, isRef as E, withCtx as w, createElementVNode as I, Fragment as $, renderList as B, createBlock as C, createTextVNode as M, toDisplayString as U, createCommentVNode as j } from "vue";
import { u as P, p as A, M as K } from "./index-e68e98a5.mjs";
import { n as d } from "./index-967e7dbe-0bf70c2f.mjs";
import { message as m } from "ant-design-vue";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
const G = [
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "name",
        label: "规则名称"
      }
    }
  },
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "rule_value",
        label: "规则值"
      }
    }
  }
], J = [
  { name: "name", label: "规则名称", align: "center" },
  { name: "rule_table", label: "规则表" },
  { name: "rule_column", label: "规则字段", align: "center" },
  { name: "rule_value", label: "规则值", align: "center" },
  {
    name: "rule_conditions",
    label: "条件规则",
    align: "center",
    width: 100
  }
], Q = [
  { label: "添加", key: "add", icon: "PlusOutlined" }
], W = [
  { label: "编辑", key: "edit" },
  { label: "删除", key: "delete", color: "#f00", confirm: !0 }
], X = {
  dicts: [
    {
      name: "规则条件",
      type: "enum",
      items: ["<=", "NOT LIKE", "LIKE", "CONTAINS", "<", "!=", "=", ">", ">="]
    }
  ],
  layout: {
    itemOptions: {
      labelSpan: 6,
      wrapperSpan: 18
    },
    children: [
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则名称",
          required: !0,
          field: "name"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则表",
          required: !0,
          readonly: !0,
          field: "rule_table"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则字段",
          required: !0,
          field: "rule_column"
        }
      },
      {
        type: "SelectField",
        options: {
          type: "text",
          label: "规则条件",
          required: !0,
          field: "rule_conditions",
          dictRef: "规则条件"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则值",
          required: !0,
          field: "rule_value"
        }
      }
    ]
  },
  dictRefs: {
    rule_conditions: "规则条件"
  },
  validators: {
    fieldValidators: [
      {
        label: "规则名称",
        validators: [
          {
            type: "required"
          }
        ],
        field: "name"
      },
      {
        label: "规则字段",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_column"
      },
      {
        label: "规则条件",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_conditions"
      },
      {
        label: "规则值",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_value"
      },
      {
        label: "规则表",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_table"
      }
    ],
    subformValidators: []
  }
}, h = {
  提交数据: {
    name: "查看本人提交数据",
    rule_column: "create_by",
    rule_conditions: "=",
    rule_value: "${userId}"
  },
  省级数据: {
    name: "查看省级数据列表",
    rule_column: "省编码",
    rule_conditions: "=",
    rule_value: "${pcode}"
  },
  市级数据: {
    name: "查看市级数据列表",
    rule_column: "市编码",
    rule_conditions: "=",
    rule_value: "${ccode}"
  },
  县级数据: {
    name: "查看县级数据列表",
    rule_column: "县编码",
    rule_conditions: "=",
    rule_value: "${fcode}"
  }
}, Y = { class: "rule-max" }, Z = { class: "button-max" }, H = /* @__PURE__ */ V({
  name: "FormRule",
  __name: "index",
  props: {
    formName: { type: String, required: !0 }
  },
  setup(q) {
    const p = q, v = ref([]), o = ref({ page: 1, size: 10, rule_table: p.formName }), g = ref(0), c = ref(!1), l = ref(!1), f = ref(!1), _ = ref(!0), k = ref(""), x = ref(), i = reactive({
      formDef: X,
      formRecordData: {
        rule_table: p.formName
      }
    }), u = async () => {
      c.value = !0;
      try {
        const e = await d.getRules(o.value);
        v.value = e.list, g.value = e.total;
      } catch (e) {
        m.error(e.msg);
      }
      c.value = !1;
    }, F = async () => {
      try {
        const e = await d.getSupportRelation();
        i.formDef.dicts[0].items = e;
      } catch (e) {
        console.log("error :>> ", e);
      }
    }, R = ({ key: e, data: r }) => {
      switch (k.value = e, e) {
        case "add":
          i.formRecordData = {
            rule_table: p.formName
          }, l.value = !0;
          break;
        case "edit":
          i.formRecordData = r, l.value = !0;
          break;
        case "delete":
          S(r);
          break;
      }
    }, N = (e) => {
      _.value = !1, i.formRecordData = { ...i.formRecordData, ...h[e] }, nextTick(() => {
        _.value = !0;
      });
    }, T = async () => {
      f.value = !0;
      const { data: e, state: r } = await x.value.submit();
      if (r)
        try {
          e._id ? await d.updateRule(e._id, e) : await d.addRule(e), m.success("操作成功！"), o.value.page = 1, u(), l.value = !1;
        } catch (n) {
          m.error(n.msg);
        }
      f.value = !1;
    }, S = async ({ _id: e }) => {
      try {
        await d.deleteRule(e), m.success("删除成功！"), o.value.page = 1, u();
      } catch (r) {
        m.error(r.msg);
      }
    }, D = (e) => {
      const r = {
        page: 1,
        size: 10,
        rule_table: p.formName
      };
      e.forEach((n) => {
        r[n.name] = n.value;
      }), o.value = r, u();
    };
    return onMounted(() => {
      u(), F();
    }), (e, r) => {
      const n = y("a-button"), z = y("GTForm"), L = y("a-modal");
      return s(), O("div", Y, [
        b(A, {
          fields: t(G),
          onSearch: D,
          "list-width": 260
        }, null, 8, ["fields"]),
        b(K, {
          fields: t(J),
          data: t(v),
          tableOperators: t(Q),
          recordOperators: t(W),
          "page-current": t(o).page,
          "onUpdate:pageCurrent": r[0] || (r[0] = (a) => t(o).page = a),
          "page-size": t(o).size,
          "onUpdate:pageSize": r[1] || (r[1] = (a) => t(o).size = a),
          onRecordOperatorClick: R,
          onTableOperatorClick: R,
          total: t(g),
          "y-offset": 280,
          loading: t(c)
        }, null, 8, ["fields", "data", "tableOperators", "recordOperators", "page-current", "page-size", "total", "loading"]),
        b(L, {
          destroyOnClose: "",
          maskClosable: !1,
          getContainer: ".rule-max",
          class: "rule-model",
          open: t(l),
          "onUpdate:open": r[2] || (r[2] = (a) => E(l) ? l.value = a : null),
          style: { width: "600px" },
          onOk: T,
          confirmLoading: t(f),
          title: t(k) == "add" ? "新增规则" : "编辑规则"
        }, {
          default: w(() => [
            I("div", Z, [
              (s(!0), O($, null, B(Object.keys(t(h)), (a) => (s(), C(n, {
                type: "primary",
                key: a,
                onClick: (te) => N(a)
              }, {
                default: w(() => [
                  M(U(a), 1)
                ]),
                _: 2
              }, 1032, ["onClick"]))), 128))
            ]),
            t(_) ? (s(), C(z, {
              key: 0,
              ref_key: "formBox",
              ref: x,
              options: t(i)
            }, null, 8, ["options"])) : j("", !0)
          ]),
          _: 1
        }, 8, ["open", "confirmLoading", "title"])
      ]);
    };
  }
}), ee = /* @__PURE__ */ P(H, [["__scopeId", "data-v-fb379215"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/components/FormRule/index.vue"]]), Ae = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ee
}, Symbol.toStringTag, { value: "Module" }));
export {
  ee as F,
  Ae as _
};
