import { defineComponent as P, resolveComponent as v, openBlock as b, createElementBlock as j, unref as a, createBlock as C, createCommentVNode as w, createVNode as m, isRef as R, withCtx as T } from "vue";
import { G as A } from "./index-0dfca83c.mjs";
import { e as y } from "./Workspace-b0c76eb5.mjs";
import { cloneDeep as E } from "lodash";
import { message as c } from "ant-design-vue";
import { P as L } from "./index-a3356091.mjs";
import { _ as N } from "./_commonjsHelpers-4c55c438.mjs";
const F = [
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        type: "text",
        field: "name",
        label: "角色名称"
      }
    }
  }
], z = [
  {
    name: "code",
    type: "text",
    align: "center",
    label: "角色编码"
    // width: 100
  },
  {
    name: "name",
    type: "text",
    align: "center",
    label: "角色名称"
  },
  {
    name: "description",
    type: "text",
    align: "center",
    label: "角色描述"
  }
], I = [
  {
    key: "edit",
    label: "编辑"
    // color: '#ea9e64'
    // expression: 'state=="1"'
  },
  {
    key: "authorization",
    label: "授权"
    // color: '#72c040'
  },
  {
    key: "delete",
    label: "删除",
    color: "#ec5b55",
    // disabled: 'state=="1"',
    confirm: !0
  }
], Q = [
  {
    key: "add",
    icon: "plus",
    label: "新增"
  }
], V = {
  layout: {
    itemOptions: {
      labelSpan: 5,
      wrapperSpan: 18
    },
    children: [
      {
        type: "TextField",
        options: {
          type: "text",
          field: "name",
          label: "角色名称：",
          required: !0
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          field: "code",
          label: "角色编码：",
          required: !0
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          field: "description",
          label: "描述：",
          mode: "textarea"
          // 文本域
          // required: true
        }
      }
    ]
  }
}, J = {
  class: "page-container",
  ref: "page"
}, K = /* @__PURE__ */ P({
  name: "RoleManage",
  __name: "index",
  setup(X) {
    let g = ref(!1), r = ref({
      page: 1,
      size: 10
    });
    const n = ref(!1), p = ref(""), u = ref(""), s = ref({ formDef: V, formRecordData: {}, readonlyFields: "" }), k = ref();
    let h = ref(0);
    const x = ref([]), i = async () => {
      g.value = !0;
      try {
        const e = await y.queryAllRole(r.value);
        x.value = e.list, h.value = e.total;
      } catch ({ msg: e }) {
        c.error(e);
      } finally {
        g.value = !1;
      }
    }, S = (e) => {
      const t = {
        page: 1,
        size: 10
      };
      e.length !== 0 && e.forEach((o) => {
        t[o.name] = o.value;
      }), r.value = t, i();
    }, D = (e) => {
      if (!e)
        return;
      const { key: t } = e;
      switch (t) {
        case "add":
          G(t);
          break;
      }
    }, H = (e) => {
      if (!e)
        return;
      const { key: t, data: o } = e;
      switch (t) {
        case "edit":
          q(t, o);
          break;
        case "authorization":
          U(o);
          break;
        case "delete":
          B(o);
          break;
      }
    }, G = (e) => {
      s.value.formRecordData = "", s.value.readonlyFields = "", u.value = e, p.value = "新增", n.value = !0;
    }, q = (e, t) => {
      u.value = e, p.value = "编辑", n.value = !0, t && (s.value.readonlyFields = "code", s.value.formRecordData = E(t));
    }, f = ref(!1), _ = ref({ name: "", _id: "" }), U = (e) => {
      f.value = !0, _.value = e;
    }, B = async (e) => {
      const { _id: t } = e;
      try {
        await y.deleteRole(t), c.success("删除成功"), await i();
      } catch ({ msg: o }) {
        c.error(o);
      }
    }, M = async () => {
      const e = await k.value.submit(), { data: t, state: o } = e;
      if (o)
        try {
          if (u.value == "add")
            await y.addRole(t);
          else if (u.value == "edit") {
            const { _id: d } = s.value.formRecordData;
            await y.modifyRole(d, t);
          }
          c.success(`${p.value}成功！`), await i(), n.value = !1;
        } catch ({ msg: d }) {
          c.error(d);
        }
    }, $ = async () => {
      await i();
    };
    return onMounted(() => {
      i();
    }), (e, t) => {
      const o = v("GTSearch"), d = v("GTForm"), O = v("a-modal");
      return b(), j("div", J, [
        a(F).length != 0 ? (b(), C(o, {
          key: 0,
          fields: a(F),
          onSearch: S
        }, null, 8, ["fields"])) : w("", !0),
        a(z).length != 0 ? (b(), C(A, {
          key: 1,
          data: a(x),
          fields: a(z),
          recordOperators: a(I),
          onRecordOperatorClick: H,
          tableOperators: a(Q),
          onTableOperatorClick: D,
          pageCurrent: a(r).page,
          "onUpdate:pageCurrent": t[0] || (t[0] = (l) => a(r).page = l),
          pageSize: a(r).size,
          "onUpdate:pageSize": t[1] || (t[1] = (l) => a(r).size = l),
          total: a(h),
          loading: a(g),
          onRefresh: $,
          allowSelect: !1,
          "y-offset": 310
        }, null, 8, ["data", "fields", "recordOperators", "tableOperators", "pageCurrent", "pageSize", "total", "loading"])) : w("", !0),
        m(O, {
          class: "handler-model",
          getContainer: () => e.$refs.page,
          open: a(n),
          "onUpdate:open": t[2] || (t[2] = (l) => R(n) ? n.value = l : null),
          title: a(p),
          onOk: M,
          destroyOnClose: ""
        }, {
          default: T(() => [
            m(d, {
              ref_key: "gtForm",
              ref: k,
              options: a(s)
            }, null, 8, ["options"])
          ]),
          _: 1
        }, 8, ["getContainer", "open", "title"]),
        m(O, {
          getContainer: () => e.$refs.page,
          open: a(f),
          "onUpdate:open": t[3] || (t[3] = (l) => R(f) ? f.value = l : null),
          title: `角色授权：${a(_).name}`,
          class: "auth-model",
          footer: null,
          width: "90%",
          destroyOnClose: ""
        }, {
          default: T(() => [
            m(L, { data: a(_) }, null, 8, ["data"])
          ]),
          _: 1
        }, 8, ["getContainer", "open", "title"])
      ], 512);
    };
  }
});
const W = /* @__PURE__ */ N(K, [["__scopeId", "data-v-6399ad9b"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/index.vue"]]), re = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: W
}, Symbol.toStringTag, { value: "Module" }));
export {
  re as _
};
