import { defineComponent as w, openBlock as b, createElementBlock as R, createVNode as x, unref as l } from "vue";
import { R as h } from "./index-0aa2c910.mjs";
import { x as u, M as c } from "./Xhttp-31c5c56a.mjs";
import { e as i } from "./Workspace-b0c76eb5.mjs";
import { message as r } from "ant-design-vue";
import { _ as E } from "./_commonjsHelpers-4c55c438.mjs";
const q = {
  // 查询菜单树
  // TODO 后台接口问题，不传 {} 会报错
  async queryMenuTree() {
    return await u.get(c.TREE_LIST, {});
  },
  // 添加新菜单
  async addMenu(n) {
    return await u.post(c.ADD_MENU, n);
  },
  async deleteMenu(n) {
    return await u.delete(c.DELETE_MENU(n));
  },
  async modifyMenu(n) {
    return await u.put(c.UPDATE_MENU(n._id), n);
  }
}, T = { class: "menu-box" }, D = /* @__PURE__ */ w({
  __name: "index",
  props: {
    currentRoleItem: { type: Object, required: !0 }
  },
  setup(n) {
    let _ = ref(0), o = ref(!1);
    const d = ref([]), s = ref([]), m = n, f = [
      {
        title: "名称",
        dataIndex: "name"
      },
      {
        title: "路径",
        dataIndex: "uri"
      },
      {
        title: "组件",
        dataIndex: "component"
      }
    ], p = async () => {
      o.value = !0;
      try {
        const e = await q.queryMenuTree();
        d.value = e, _.value = e.length;
      } catch ({ msg: e }) {
        r.error(e);
      } finally {
        o.value = !1;
      }
    }, y = async () => {
      const { _id: e } = m.currentRoleItem, t = await i.queryAuthorizeMenus(e);
      s.value = t.map((a) => a._id);
    };
    onMounted(async () => {
      await p(), await y();
    });
    const v = async (e, t) => {
      const { _id: a } = m.currentRoleItem;
      t ? await M(a, e) : await g(a, e);
    }, M = async (e, t) => {
      o.value = !0;
      try {
        await i.authorizeMenu(e, t), r.success("授权成功"), s.value.push(...t);
      } catch ({ msg: a }) {
        r.error(a);
      } finally {
        o.value = !1;
      }
    }, g = async (e, t) => {
      o.value = !0;
      try {
        await i.revokeMenu(e, t), r.success("取消授权成功"), s.value = s.value.filter((a) => !t.includes(a));
      } catch ({ msg: a }) {
        r.error(a);
      } finally {
        o.value = !1;
      }
    };
    return (e, t) => (b(), R("div", T, [
      x(h, {
        columns: f,
        tableData: l(d),
        tableLoading: l(o),
        onRowClick: v,
        total: l(_),
        selectedRowKeysFlag: l(s),
        pagination: !1,
        scrollY: 240
      }, null, 8, ["tableData", "tableLoading", "total", "selectedRowKeysFlag"])
    ]));
  }
});
const k = /* @__PURE__ */ E(D, [["__scopeId", "data-v-5976b1f1"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/Menu/index.vue"]]), j = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: k
}, Symbol.toStringTag, { value: "Module" }));
export {
  k as M,
  j as _,
  q as m
};
