import { defineComponent as $, mergeModels as M, useModel as G, resolveComponent as A, openBlock as E, createElementBlock as R, createElementVNode as w, createVNode as c, unref as x, createBlock as K, withCtx as _, createTextVNode as F } from "vue";
import { message as v } from "ant-design-vue";
import { cloneDeep as U } from "lodash";
import { p as T } from "./index-31c5d8f4-81484a53.mjs";
import { u as O } from "./index-e68e98a5.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
let H = (e) => crypto.getRandomValues(new Uint8Array(e)), J = (e, i, r) => {
  let t = (2 << Math.log(e.length - 1) / Math.LN2) - 1, l = -~(1.6 * t * i / e.length);
  return (a = i) => {
    let d = "";
    for (; ; ) {
      let s = r(l), n = l;
      for (; n--; )
        if (d += e[s[n] & t] || "", d.length === a)
          return d;
    }
  };
}, B = (e, i = 21) => J(e, i, H), I = !1, q = "", D = [], k = [];
const C = () => B("abcdefghijklmnopqrstuvwxyz", 1)() + B("abcdefghijklmnopqrstuvwxyz1234567890", 9)(), N = {
  LonLatField: [
    "lonField",
    "latField",
    "pcodeField",
    "ccodeField",
    "fcodeField",
    "pnameField",
    "cnameField",
    "fnameField",
    "addressField"
  ],
  NumberWithUnitField: ["valueField", "unitField"],
  DateRangeField: ["startField", "endField"],
  AdminField: ["field", "subField"]
};
function L(e, i, r) {
  var t;
  if (Array.isArray(e))
    e.forEach((l) => {
      L(l, i, r);
    });
  else {
    const l = (t = e == null ? void 0 : e.options) == null ? void 0 : t.children;
    Array.isArray(l) ? l.forEach((a) => {
      r && a.children ? a.children.forEach((d) => {
        j(d, i, r);
      }) : j(a, i, r);
    }) : j(e, i, r);
  }
}
function j(e, i, r) {
  var t, l, a;
  if ((t = e == null ? void 0 : e.type) != null && t.endsWith("Field")) {
    const d = S(e, i);
    r ? d.forEach(({ field: s, label: n }) => {
      D.includes(s) || k.push(n);
    }) : (Q(d, i), X(d, i), I && ee(d, i)), z(d, i);
  } else
    (l = e == null ? void 0 : e.type) != null && l.endsWith("SubForm") ? P(e, i, r) : (a = e == null ? void 0 : e.options) != null && a.children && L(e, i, r);
}
function P(e, i, r) {
  const { options: t } = e;
  t.field || (t.field = C());
  const l = [
    {
      name: t.field,
      formUid: t.formUid,
      depends: t.depends,
      required: t.required,
      label: t.label,
      sorted_field: t.sorted_field
    }
  ];
  z(l, i, !0), r || Y(l, i);
}
function S(e, i, r = !1) {
  const t = [], { type: l } = e, a = r ? e : e.options, d = U(a);
  return N[l] && !r ? N[l].forEach((s) => {
    var n;
    if (typeof a[s] == "object") {
      (n = a[s]) != null && n.field || (a[s].field = C());
      const p = U(a[s]);
      p.depends = a.depends, t.push(...S(p, i, !0));
    }
  }) : (d.name = a.field = a.field || C(), t.push(d)), t;
}
function Q(e, i) {
  e.forEach((r) => {
    const { label: t, type: l, name: a, unique: d, spareLabel: s } = r, n = i.fields.findIndex((m) => m.name == a), p = {
      //如果有依赖则为空
      // required: !depends && required,
      required: !1,
      unique: d,
      label: t,
      // 设置的导入导出Excel label
      spareLabel: s,
      type: l,
      name: a
    };
    n == -1 ? i.fields.push(p) : i.fields.splice(n, 1, p);
  });
}
function X(e, i) {
  e.forEach((r) => {
    r.dictRef && (i.dictRefs[r.name] = r.dictRef);
  });
}
function z(e, i, r = !1) {
  e.forEach((l) => {
    t(l, i, r);
  });
  function t(l, a, d) {
    const { name: s, depends: n, required: p, label: m } = l, b = d ? "subform" : "field", y = d ? "subformValidators" : "fieldValidators", f = a.validators[y] || [];
    if (!p)
      a.validators[y] = f.filter((o) => Array.isArray(o.validators) ? o[b] === s ? (o.validators = o.validators.filter(
        ({ type: u }) => u !== "required"
      ), o.validators.length != 0) : !0 : !1);
    else {
      const o = f.find((u) => u[b] === s);
      if (o)
        n && (o.depends = n), m && (o.label = m), Array.isArray(o.validators) ? o.validators.some((u) => u.type === "required") || o.validators.push({ type: "required" }) : o.validators = [{ type: "required" }];
      else {
        const u = { label: m };
        u[b] = s, (n || p) && (n && (u.depends = n), p && (u.validators = [{ type: "required" }]), f.push(u));
      }
    }
  }
}
function Y(e, i) {
  e.forEach(({ formUid: r, sorted_field: t }) => {
    const l = {
      name: r,
      fk: "__main_form_record_uid_field__"
    };
    t && (l.sorted_field = t), i.subTables.push(l);
  });
}
function Z(e, i) {
  if (i) {
    e.validators || (e.validators = {}), e.validators.fieldValidators || (e.validators.fieldValidators = []), e.validators.subformValidators || (e.validators.subformValidators = []), delete e.validators.subFormValidators;
    return;
  }
  Array.isArray(e.fields) || (e.fields = []), e.subTables = [], e.dictRefs = {}, e.validators || (e.validators = {}), e.validators.fieldValidators || (e.validators.fieldValidators = []), e.validators.subformValidators || (e.validators.subformValidators = []), e.table || (e.table = {}), Array.isArray(e.table.tableFields) || (e.table.tableFields = []), delete e.validators.subFormValidators, I = e.table.tableFields.length == 0;
}
function ee(e, i) {
  e.forEach((r) => {
    const { label: t, name: l, type: a } = r;
    i.table.tableFields.push({
      label: t,
      name: l,
      type: a,
      width: 100
    });
  });
}
function g(e, i) {
  if (i || ie(e), !e.layout)
    return e;
  Z(e, i);
  let r = e.layout;
  return e.layout.children && (r = e.layout.children), L(r, e, i), i || (q == "web" && (e.profile_web = {
    layout: e.layout,
    validators: e.validators
  }), e.profile_mobile && (D = e.fields.map((t) => t.name), g(e.profile_mobile, "app"), k.length > 0 && v.info(
    `app配置字段中 ${k.join(",")} 无法在数据库字段中找到，请修改配置！`
  ), D = [], k = [], q = "")), e;
}
function ie(e) {
  e.profile_web && e.profile_mobile || e.profile_web ? (e.layout = e.profile_web.layout, e.validators = e.profile_web.validators, q = "web") : q = "";
}
const te = { class: "max" }, oe = { class: "content-box" }, re = {
  key: 1,
  class: "form-box"
}, ae = { class: "footer-box" }, le = /* @__PURE__ */ $({
  name: "FormDesignEditor",
  __name: "index",
  props: /* @__PURE__ */ M({
    type: { type: String, required: !0 },
    data: { type: null, required: !0 }
  }, {
    open: {},
    openModifiers: {}
  }),
  emits: /* @__PURE__ */ M(["getList"], ["update:open"]),
  setup(e, { emit: i }) {
    const r = G(e, "open"), t = e, l = i, a = ref(), d = ref(), s = ref(!1);
    let n = "";
    const p = ref({
      formDef: {}
    });
    onMounted(() => {
      t.type === "add" ? (a.value.setValue({
        name: "",
        title: "",
        description: "",
        dicts: [],
        layout: [],
        fields: [],
        table: {
          searchItems: [
            {
              operator: "=",
              renderer: {
                type: "TextField",
                options: {
                  field: "test",
                  label: "搜索条件"
                }
              }
            }
          ],
          tableFields: [
            {
              label: "_id",
              name: "_id"
            }
          ]
        }
      }), n = "") : (a.value.setValue(t.data), n = t.data.name);
    });
    async function m() {
      const f = a.value.getValue();
      if (!f.state) {
        v.warning("请输入正确的json格式表单！");
        return;
      }
      const o = g(f.data);
      if (!o.name) {
        v.warning("表单name不能为空！");
        return;
      }
      try {
        n ? await T.updateFormDesign(n, o) : await T.addFormDesign(o), v.success(`${n ? "编辑" : "添加"}成功！`), r.value = !1, l("getList");
      } catch (u) {
        v.error(u.msg);
      }
    }
    function b(f) {
      if (!f) {
        const o = a.value.getValue();
        if (!o.state) {
          v.warning("请输入正确的json格式表单！");
          return;
        }
        p.value.formDef = g(o.data);
      }
      s.value = !f;
    }
    function y(f = !1) {
      const o = a.value.getValue();
      if (!o.state) {
        v.warning("请输入正确的json格式表单！");
        return;
      }
      f ? a.value.setValue(g(o.data)) : d.value.setValue(g(o.data));
    }
    return (f, o) => {
      const u = A("AceEditor"), W = A("GTForm"), h = A("a-button");
      return E(), R("div", te, [
        w("div", oe, [
          c(u, {
            class: "ace-editor",
            onBindKey: o[0] || (o[0] = (V) => y()),
            ref_key: "editor1",
            ref: a
          }, null, 512),
          x(s) ? (E(), R("div", re, [
            c(W, { options: x(p) }, null, 8, ["options"])
          ])) : (E(), K(u, {
            key: 0,
            class: "ace-editor",
            ref_key: "editor2",
            ref: d,
            theme: "monokai",
            readonly: ""
          }, null, 512))
        ]),
        w("div", ae, [
          w("div", null, [
            c(h, {
              type: "primary",
              onClick: o[1] || (o[1] = (V) => y())
            }, {
              default: _(() => [
                F("点击验证")
              ]),
              _: 1
            }),
            c(h, {
              type: "primary",
              onClick: o[2] || (o[2] = (V) => b(x(s)))
            }, {
              default: _(() => [
                F("切换视图")
              ]),
              _: 1
            }),
            c(h, {
              type: "primary",
              onClick: o[3] || (o[3] = (V) => y(!0))
            }, {
              default: _(() => [
                F("格式化")
              ]),
              _: 1
            })
          ]),
          w("div", null, [
            c(h, {
              onClick: o[4] || (o[4] = (V) => r.value = !1)
            }, {
              default: _(() => [
                F("取消")
              ]),
              _: 1
            }),
            c(h, {
              type: "primary",
              onClick: m
            }, {
              default: _(() => [
                F("确定")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
}), de = /* @__PURE__ */ O(le, [["__scopeId", "data-v-d6c0e998"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/components/FormDesignEditor/index.vue"]]), Qe = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: de
}, Symbol.toStringTag, { value: "Module" }));
export {
  de as F,
  Qe as _,
  B as c
};
