import { defineComponent as Q, resolveComponent as W, openBlock as C, createElementBlock as H, unref as _, createVNode as b, withCtx as E, createElementVNode as M, Fragment as Y, renderList as Z, withDirectives as X, createBlock as ee, resolveDynamicComponent as te, vShow as K, createTextVNode as P, toDisplayString as re, createCommentVNode as U } from "vue";
import { cloneDeep as $, keyBy as ae, uniqueId as oe, mapKeys as se } from "lodash";
import ne from "mitt";
import { S as T } from "./index-0dfca83c.mjs";
import { _ as le } from "./_commonjsHelpers-4c55c438.mjs";
var j = /* @__PURE__ */ ((t) => (t.BOX_SHOW = "展开", t.BOX_BACKUP = "收起", t))(j || {});
const L = (t) => {
  t = $(t);
  const u = JSON.parse(localStorage.getItem("userInfo")).roles.map(({ code: o }) => o);
  return Array.isArray(t) ? t.map((o) => {
    if (o.showRoles) {
      let e = !1;
      for (const n of o.showRoles)
        if (u.includes(n)) {
          e = !0;
          break;
        }
      o.renderer.options.hide = !e;
    }
    return o;
  }) : [];
}, de = (t, i, u) => {
  const o = [];
  return Object.keys(t).forEach((e) => {
    if (![null, void 0, ""].includes(t[e])) {
      if (Array.isArray(t[e]) && t[e].length == 0)
        return;
      if (i[e]) {
        const { name: n, operator: f } = i[e];
        o.push({ name: n, operator: f, value: t[e] });
      } else
        o.push({ name: e, operator: u[e], value: t[e] });
    }
  }), o;
}, ce = (t) => {
  const i = ae(t.dicts, "name"), u = "DateRangeField", o = "=", e = ref({}), n = ref({}), f = ref({}), R = ref(!1), v = ref([]), B = computed(() => {
    const d = [];
    return L(t.fields).forEach((p) => {
      const {
        renderer: {
          options: { hide: h, field: N }
        }
      } = p;
      h || d.push(N);
    }), d;
  }), l = computed(() => v.value.every((d) => d.options.hide == !0));
  return watch(
    () => t.fields,
    (d) => {
      v.value = S(d);
      function S(p) {
        let h = [];
        return Array.isArray(p) && p.length != 0 && (h = L(p).map((I) => {
          const { renderer: w, operator: q } = I, { options: s, type: O } = w;
          if (O == u) {
            const { startField: g, endField: m, field: x } = s;
            e.value[g.field] = {
              name: x,
              operator: g.operator || ">="
            }, e.value[m.field] = {
              name: x,
              operator: m.operator || "<="
            }, n.value[x] = {
              startField: g.field,
              endField: m.field
            };
          } else
            f.value[s.field] = q || o, s.dictRef && !s.dict && (s.dict = i[s.dictRef] || {});
          const y = B.value.indexOf(s.field);
          y >= 0 ? w.show = y < t.showNum : w.show = !1;
          const V = t.defaultFields[s.field];
          return V && (s.default = V), w;
        })), R.value = !1, h;
      }
    },
    { deep: !0, immediate: !0 }
  ), {
    searchFields: v,
    showSearchFields: B,
    DateRangeMap: e,
    dateRangeFields: n,
    searchMap: f,
    isShow: R,
    allHide: l
  };
}, ie = ["id"], ue = { class: "search-btn-box" }, fe = /* @__PURE__ */ Q({
  name: "GTSearch",
  __name: "index",
  props: {
    defaultFields: { type: Object, required: !1, default: () => ({}) },
    fields: { type: Array, required: !0, default: () => [] },
    dicts: { type: Array, required: !1, default: () => [] },
    showNum: { type: Number, required: !1, default: 2 },
    listWidth: { type: Number, required: !1, default: 300 },
    wrapperSpan: { type: Number, required: !1, default: 16 },
    labelSpan: { type: Number, required: !1, default: 8 }
  },
  emits: ["search", "add-height", "change"],
  setup(t, { expose: i, emit: u }) {
    const o = u, e = t, {
      searchFields: n,
      showSearchFields: f,
      DateRangeMap: R,
      dateRangeFields: v,
      searchMap: B,
      isShow: l,
      allHide: d
    } = ce(e), S = oe("search_"), p = ref(), h = [], N = (r) => {
      r && h.push(r);
    }, I = { span: e.labelSpan }, w = { span: e.wrapperSpan }, q = computed(
      () => l.value ? j.BOX_BACKUP : j.BOX_SHOW
    ), s = e.defaultFields, O = reactive($(s)), y = computed(() => readonly(O)), V = {
      "grid-template-columns": `repeat(auto-fill, ${e.listWidth}px)`
    }, g = ne();
    provide("eventBus", g), provide("formRecordData", s), g.on("change", x);
    function m() {
      const r = de(
        unref(y),
        unref(R),
        unref(B)
      );
      o("search", r);
    }
    function x({ field: r, value: a }) {
      O[r] = a, o("change", { formData: unref(y), field: r, value: a });
    }
    function z() {
      l.value = !l.value, n.value.forEach((r) => {
        if (l.value)
          r.show = !0;
        else {
          let a = f.value.indexOf(r.options.field);
          a >= 0 ? r.show = a < e.showNum : r.show = !1;
        }
      });
    }
    function G() {
      const r = se(h, (a) => a.field);
      n.value.forEach(({ options: a }) => {
        const F = a == null ? void 0 : a.default, c = a == null ? void 0 : a.field;
        if (["", void 0, null].includes(F))
          r[c].reset();
        else if (v[c]) {
          const { startField: A, endField: D } = v[c], k = e.defaultFields[A], J = e.defaultFields[D];
          r[c].setValue(k, J);
        } else
          O[c] !== F && r[c].setValue(F);
      }), m();
    }
    return watch(
      () => l.value,
      () => {
        nextTick(() => {
          var a;
          const r = (a = document.getElementById(S)) == null ? void 0 : a.offsetHeight;
          r && o("add-height", r - 50);
        });
      }
    ), i({ submitHandler: m, reset: G }), (r, a) => {
      const F = W("a-button"), c = W("a-form");
      return r.fields.length > 0 ? (C(), H("div", {
        key: 0,
        id: _(S),
        class: "search-box"
      }, [
        b(c, {
          ref_key: "form",
          ref: p,
          "label-col": I,
          "wrapper-col": w
        }, {
          default: E(() => [
            M("div", {
              class: "body-wrapper",
              style: V
            }, [
              (C(!0), H(Y, null, Z(_(n), ({ type: A, options: D, show: k }) => X((C(), ee(te(A), {
                key: D.field,
                options: D,
                formData: _(y),
                ref_for: !0,
                ref: N
              }, null, 8, ["options", "formData"])), [
                [K, k && !D.hide]
              ])), 128)),
              X(M("div", ue, [
                b(F, {
                  type: "primary",
                  onClick: m
                }, {
                  default: E(() => [
                    b(T, { icon: "SearchOutlined" }),
                    P(" 查找 ")
                  ]),
                  _: 1
                }),
                b(F, {
                  class: "redo-btn",
                  type: "primary",
                  onClick: G
                }, {
                  default: E(() => [
                    b(T, { icon: "RedoOutlined" }),
                    P(" 重置 ")
                  ]),
                  _: 1
                }),
                _(f).length > r.showNum ? (C(), H("a", {
                  key: 0,
                  class: "button-control",
                  onClick: z
                }, [
                  M("span", null, re(_(q)), 1),
                  b(T, {
                    icon: _(l) ? "UpOutlined" : "DownOutlined"
                  }, null, 8, ["icon"])
                ])) : U("", !0)
              ], 512), [
                [K, !_(d)]
              ])
            ])
          ]),
          _: 1
        }, 512)
      ], 8, ie)) : U("", !0);
    };
  }
});
const pe = /* @__PURE__ */ le(fe, [["__scopeId", "data-v-567f1658"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/components/GTSearch/index.vue"]]), ye = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: pe
}, Symbol.toStringTag, { value: "Module" }));
export {
  pe as G,
  ye as _
};
