import { defineComponent as A, resolveComponent as v, openBlock as B, createElementBlock as E, createElementVNode as d, createVNode as r, unref as o, withCtx as t, createTextVNode as g, toDisplayString as G, isRef as M, normalizeStyle as Z, pushScopeId as J, popScopeId as K } from "vue";
import { r as X } from "./types-b6ebfd92-421b591b.mjs";
import { g as S } from "./index-f4d26339-456c0c67.mjs";
import { message as y } from "ant-design-vue";
import { M as Y } from "./index-ffc3e36c-0324b166.mjs";
import { u as H } from "./index-e68e98a5.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
const N = (C) => (J("data-v-7c9942ec"), C = C(), K(), C), Q = { class: "login-wrapper" }, W = /* @__PURE__ */ N(() => /* @__PURE__ */ d("div", { class: "title" }, "重置密码", -1)), ee = { class: "body" }, re = { class: "submit" }, oe = { class: "link-wrapper" }, ae = { class: "img-verify-code-content" }, te = /* @__PURE__ */ N(() => /* @__PURE__ */ d("h3", null, "请输入验证码", -1)), ie = { class: "img-wrapper" }, le = 180, se = /* @__PURE__ */ A({
  __name: "index",
  emits: ["update:status"],
  setup(C, { emit: O }) {
    const R = O, _ = ref(!1), i = ref({
      phone: "",
      verifyCode: "",
      password: "",
      confirmPassword: ""
    }), U = async (a, e) => e !== i.value.password ? Promise.reject("两次输入的密码不一致") : Promise.resolve(), q = readonly({
      phone: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入手机号码"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      verifyCode: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入验证码"
        }
      ],
      password: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        }
      ],
      confirmPassword: [
        {
          trigger: "blur",
          required: !0,
          message: "请输再次输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        },
        {
          trigger: "blur",
          validator: U
        }
      ]
    }), b = ref(), V = ref(), w = ref(), h = ref(!1), u = ref(!1), x = ref(""), P = ref(""), c = reactive({
      loading: !1,
      verifyCodeDisabled: !1,
      modelVisible: !1,
      getVerifyCodeText: "获取验证码"
    }), f = reactive({
      imgVerifyCode: ""
    }), D = readonly({
      imgVerifyCode: [
        {
          required: !0,
          message: "请输入验证码"
        }
      ]
    }), k = async () => {
      const a = await S.getImageCode();
      a && (x.value = a.imgKey, P.value = a.base64);
    }, T = () => {
      u.value = !1;
    }, $ = () => {
      var a;
      (a = b.value) == null || a.validateFields("phone").then(async () => {
        u.value = !0, k(), nextTick(() => {
          var e;
          (e = w.value) == null || e.focus();
        });
      });
    }, z = () => {
      var a;
      (a = V.value) == null || a.validateFields().then(
        async () => {
          var e;
          h.value = !0;
          try {
            await S.getResetPasswdSmsCode(
              i.value.phone,
              x.value,
              f.imgVerifyCode
            ), y.success("短信验证码已发送"), u.value = !1, L();
          } catch (s) {
            y.error(`验证码错误：${s.msg || "未知错误"}`), k(), f.imgVerifyCode = "", (e = w.value) == null || e.focus();
          } finally {
            h.value = !1;
          }
        },
        (e) => {
          y.error(JSON.stringify(e));
        }
      );
    }, L = () => {
      f.imgVerifyCode = "", c.verifyCodeDisabled = !0;
      let a = le;
      const e = setInterval(() => {
        c.getVerifyCodeText = `${a}秒后重新获取`, a -= 1, a === 0 && (c.getVerifyCodeText = "获取验证码", c.verifyCodeDisabled = !1, clearInterval(e));
      }, 1e3);
    }, F = () => {
      var a;
      (a = b.value) == null || a.validate().then(async (e) => {
        _.value = !0;
        const { phone: s, verifyCode: n, password: p } = e;
        try {
          if (!await Y.resetPassword(s, n, p))
            return;
          y.success("重置密码成功"), i.value = {
            phone: "",
            verifyCode: "",
            password: "",
            confirmPassword: ""
          };
        } catch (m) {
          y.error(m.msg);
        } finally {
          _.value = !1;
        }
      });
    };
    return (a, e) => {
      const s = v("svg-icon"), n = v("a-input"), p = v("a-form-item"), m = v("a-button"), I = v("a-form"), j = v("a-modal");
      return B(), E("div", Q, [
        W,
        d("div", ee, [
          r(I, {
            model: o(i),
            ref_key: "resetPwdRef",
            ref: b,
            rules: o(q)
          }, {
            default: t(() => [
              r(p, { name: "phone" }, {
                default: t(() => [
                  r(n, {
                    value: o(i).phone,
                    "onUpdate:value": e[0] || (e[0] = (l) => o(i).phone = l),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "手机号码"
                  }, {
                    prefix: t(() => [
                      r(s, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(p, { name: "verifyCode" }, {
                default: t(() => [
                  r(n, {
                    ref_key: "verifyInputRef",
                    ref: w,
                    value: o(i).verifyCode,
                    "onUpdate:value": e[1] || (e[1] = (l) => o(i).verifyCode = l),
                    class: "input-item verify-code",
                    placeholder: "验证码"
                  }, {
                    prefix: t(() => [
                      r(s, { icon: "NumberOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"]),
                  r(m, {
                    class: "btn-verify-code",
                    type: "link",
                    onClick: $,
                    disabled: o(c).verifyCodeDisabled
                  }, {
                    default: t(() => [
                      g(G(o(c).getVerifyCodeText), 1)
                    ]),
                    _: 1
                  }, 8, ["disabled"])
                ]),
                _: 1
              }),
              r(p, { name: "password" }, {
                default: t(() => [
                  r(n, {
                    value: o(i).password,
                    "onUpdate:value": e[2] || (e[2] = (l) => o(i).password = l),
                    type: "password",
                    allowClear: "",
                    class: "input-item",
                    placeholder: "密码6到16位，包含数字和大小写字母"
                  }, {
                    prefix: t(() => [
                      r(s, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(p, { name: "confirmPassword" }, {
                default: t(() => [
                  r(n, {
                    type: "password",
                    value: o(i).confirmPassword,
                    "onUpdate:value": e[3] || (e[3] = (l) => o(i).confirmPassword = l),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "确认密码"
                  }, {
                    prefix: t(() => [
                      r(s, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              d("div", re, [
                r(m, {
                  type: "primary",
                  block: "",
                  onClick: F,
                  class: "input-item",
                  loading: o(_)
                }, {
                  default: t(() => [
                    g(" 确定 ")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              d("div", oe, [
                r(m, {
                  class: "btn-forget-passwd",
                  type: "link",
                  onClick: e[4] || (e[4] = () => R("update:status", o(X).SIGNING))
                }, {
                  default: t(() => [
                    g("立即登录")
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          r(j, {
            class: "img-verify-code-wrapper",
            open: o(u),
            "onUpdate:open": e[6] || (e[6] = (l) => M(u) ? u.value = l : null),
            footer: null,
            onCancel: T
          }, {
            default: t(() => [
              d("div", ae, [
                te,
                d("div", ie, [
                  d("img", {
                    class: "img-verify-code",
                    style: Z({ "background-image": `url(${o(P)})` })
                  }, null, 4),
                  r(m, {
                    class: "btn-change-code",
                    type: "link",
                    onClick: k
                  }, {
                    default: t(() => [
                      g("看不清，换一个")
                    ]),
                    _: 1
                  })
                ]),
                r(I, {
                  ref_key: "codeFormRef",
                  ref: V,
                  model: o(f),
                  rules: o(D)
                }, {
                  default: t(() => [
                    r(p, {
                      class: "input-img-code",
                      name: "imgVerifyCode"
                    }, {
                      default: t(() => [
                        r(n, {
                          ref_key: "verifyInputRef",
                          ref: w,
                          value: o(f).imgVerifyCode,
                          "onUpdate:value": e[5] || (e[5] = (l) => o(f).imgVerifyCode = l),
                          maxLength: 4,
                          allowClear: !0,
                          placeholder: "验证码"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    r(m, {
                      type: "primary",
                      block: "",
                      onClick: z,
                      class: "input-item",
                      loading: o(h)
                    }, {
                      default: t(() => [
                        g(" 确定 ")
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                }, 8, ["model", "rules"])
              ])
            ]),
            _: 1
          }, 8, ["open"])
        ])
      ]);
    };
  }
}), de = /* @__PURE__ */ H(se, [["__scopeId", "data-v-7c9942ec"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/ResetPasswd/index.vue"]]), We = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: de
}, Symbol.toStringTag, { value: "Module" }));
export {
  de as R,
  We as _
};
