import { defineComponent as D, resolveComponent as f, openBlock as h, createElementBlock as M, createElementVNode as m, normalizeClass as C, unref as e, createVNode as r, withCtx as a, createBlock as N, createCommentVNode as U, withKeys as P, createTextVNode as w, pushScopeId as q, popScopeId as A } from "vue";
import { r as x } from "./types-b6ebfd92-421b591b.mjs";
import { M as V } from "./index-ffc3e36c-0324b166.mjs";
import { message as T } from "ant-design-vue";
import { cloneDeep as j } from "lodash";
import { u as z } from "./index-e68e98a5.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
var n = /* @__PURE__ */ ((l) => (l.PHONE = "phone", l.USERNAME = "username", l))(n || {});
const O = {
  phone: {
    rules: {
      phone: [
        {
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      phone: "",
      password: ""
    }
  },
  username: {
    rules: {
      username: [
        {
          required: !0,
          message: "请输入用户名"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      username: "",
      password: ""
    }
  }
}, B = (l) => (q("data-v-2abdafa9"), l = l(), A(), l), H = { class: "login-wrapper" }, K = /* @__PURE__ */ B(() => /* @__PURE__ */ m("div", { class: "title" }, "欢迎登录", -1)), L = { class: "body" }, $ = { class: "model_box" }, G = { class: "submit" }, W = { class: "link-wrapper" }, F = /* @__PURE__ */ D({
  __name: "index",
  emits: ["update:status"],
  setup(l, { emit: R }) {
    const k = R, E = useRouter(), y = ref(), v = ref(!1), p = ref(n.USERNAME), s = ref(), S = ref();
    watch(
      p,
      (o) => {
        s.value = j(O[o].formData), S.value = O[o].rules;
      },
      {
        immediate: !0
      }
    );
    const I = async () => {
      try {
        v.value = !0;
        const { username: o, password: t } = s.value;
        let u = await V.login(o, t);
        const { access_token: c, refresh_token: d, user_id: _ } = u;
        localStorage.setItem("access_token", c), localStorage.setItem("refresh_token", d), localStorage.setItem("user_id", _), E.push("/");
      } catch (o) {
        T.error(o.msg);
      } finally {
        v.value = !1;
      }
    }, b = () => {
      var o;
      console.log("router :>> ", E), (o = y.value) == null || o.validate().then(() => {
        I();
      }).catch((t) => {
        console.log("error :>> ", t);
      });
    };
    return (o, t) => {
      const u = f("svg-icon"), c = f("a-input"), d = f("a-form-item"), _ = f("a-form"), g = f("a-button");
      return h(), M("div", H, [
        K,
        m("div", L, [
          m("div", $, [
            m("div", {
              class: C(["model_item", "left", { active: e(p) === e(n).USERNAME }]),
              onClick: t[0] || (t[0] = (i) => p.value = e(n).USERNAME)
            }, " 用户名登录 ", 2),
            m("div", {
              class: C(["model_item", { active: e(p) === e(n).PHONE }]),
              onClick: t[1] || (t[1] = (i) => p.value = e(n).PHONE)
            }, " 手机号登录 ", 2)
          ]),
          r(_, {
            autocomplete: "off",
            model: e(s),
            rules: e(S),
            ref_key: "loginRef",
            ref: y
          }, {
            default: a(() => [
              e(p) === "username" ? (h(), N(d, {
                key: 0,
                name: "username"
              }, {
                default: a(() => [
                  r(c, {
                    value: e(s).username,
                    "onUpdate:value": t[2] || (t[2] = (i) => e(s).username = i),
                    class: "input-item",
                    placeholder: "用户名",
                    allowClear: ""
                  }, {
                    prefix: a(() => [
                      r(u, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : U("", !0),
              e(p) === "phone" ? (h(), N(d, {
                key: 1,
                name: "phone"
              }, {
                default: a(() => [
                  r(c, {
                    value: e(s).phone,
                    "onUpdate:value": t[3] || (t[3] = (i) => e(s).phone = i),
                    class: "input-phone",
                    allClear: "",
                    placeholder: "请输入手机号"
                  }, {
                    prefix: a(() => [
                      r(u, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : U("", !0),
              r(d, { name: "password" }, {
                default: a(() => [
                  r(c, {
                    type: "password",
                    value: e(s).password,
                    "onUpdate:value": t[4] || (t[4] = (i) => e(s).password = i),
                    class: "input-item",
                    placeholder: "密码",
                    allowClear: "",
                    onKeydown: P(b, ["enter"])
                  }, {
                    prefix: a(() => [
                      r(u, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          m("div", G, [
            r(g, {
              type: "primary",
              block: "",
              onClick: b,
              class: "input-item",
              loading: e(v)
            }, {
              default: a(() => [
                w(" 登录 ")
              ]),
              _: 1
            }, 8, ["loading"])
          ]),
          m("div", W, [
            r(g, {
              type: "link",
              onClick: t[5] || (t[5] = (i) => k("update:status", e(x).REGISTER))
            }, {
              default: a(() => [
                w("注册账号")
              ]),
              _: 1
            }),
            r(g, {
              class: "btn-forget-passwd",
              type: "link",
              onClick: t[6] || (t[6] = (i) => k("update:status", e(x).RESET_PASSWD))
            }, {
              default: a(() => [
                w("忘记密码")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
}), J = /* @__PURE__ */ z(F, [["__scopeId", "data-v-2abdafa9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Signing/index.vue"]]), je = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: J
}, Symbol.toStringTag, { value: "Module" }));
export {
  J as S,
  je as _
};
