import { defineComponent as j, resolveComponent as k, openBlock as q, createElementBlock as z, createElementVNode as d, createTextVNode as C, toDisplayString as E, unref as i, createVNode as R } from "vue";
import { n as M } from "./index-967e7dbe-0bf70c2f.mjs";
import { h as O } from "./index-62af557f-374a8a2b.mjs";
import { message as m } from "ant-design-vue";
import { r as P } from "./config-f0e1b8af-6020c664.mjs";
import { e as c } from "./Workspace-99d9a434-4191cbd4.mjs";
import { u as V } from "./index-e68e98a5.mjs";
import "./index-ffc3e36c-0324b166.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
const $ = { class: "rule-box" }, B = { class: "form-name" }, F = /* @__PURE__ */ j({
  __name: "Rule",
  props: {
    currentRoleItem: { type: Object, required: !0 },
    ruleResourceId: { type: String, required: !0 },
    ruleResourceTableName: { type: String, required: !0 }
  },
  setup(y) {
    const a = y, _ = a.ruleResourceTableName, v = a.ruleResourceId, b = [
      {
        title: "规则名称",
        dataIndex: "name"
      },
      {
        title: "规则表",
        dataIndex: "rule_table"
      },
      {
        title: "规则字段",
        dataIndex: "rule_column"
      },
      {
        title: "条件规则",
        dataIndex: "rule_conditions"
      },
      {
        title: "规则值",
        dataIndex: "rule_value"
      }
    ], n = ref([]);
    let o = ref(!1), f = ref(0), u = ref({
      page: 1,
      size: 10
    }), s = ref("");
    const l = ref([]), I = async (e, r) => {
      u.value.page = e, u.value.size = r, await g();
      const { _id: t } = a.currentRoleItem, p = await c.getDataRules(t, v);
      l.value = p.list.map((N) => N._id);
    }, g = async () => {
      o.value = !0, n.value = [], Object.assign(u.value, { rule_table: a.ruleResourceId });
      try {
        const e = await M.getRules(u.value);
        f.value = e.total, n.value = e.list;
      } catch (e) {
        m.error(e.msg);
      } finally {
        o.value = !1;
      }
    }, w = async (e, r) => {
      try {
        const t = await c.getDataRules(e, r);
        l.value = t.list.map((p) => p._id);
      } catch ({ msg: t }) {
        m.error(t);
      }
    }, h = (e) => {
      e.length != 0 ? e.forEach((r) => {
        s.value = r.value;
      }) : s.value = "";
    }, x = computed(() => s.value ? n.value.filter((e) => e.name.includes(s.value)) : n.value), D = async (e, r) => {
      const { _id: t } = a.currentRoleItem;
      r ? await S(t, e) : await T(t, e);
    }, S = async (e, r) => {
      o.value = !0;
      try {
        await c.bindDataRule(e, r), m.success("授权成功"), l.value.push(...r);
      } catch ({ msg: t }) {
        m.error(t);
      } finally {
        o.value = !1;
      }
    }, T = async (e, r) => {
      o.value = !0;
      try {
        await c.unbindDataRule(e, r), m.success("取消授权成功"), l.value = l.value.filter((t) => !r.includes(t));
      } catch ({ msg: t }) {
        m.error(t);
      } finally {
        o.value = !1;
      }
    };
    return onMounted(() => {
      const { _id: e } = a.currentRoleItem;
      g(), w(e, v);
    }), (e, r) => {
      const t = k("GTSearch");
      return q(), z("div", $, [
        d("div", B, [
          d("strong", null, [
            C(" 表单名称："),
            d("span", null, E(i(_)), 1)
          ])
        ]),
        R(t, {
          fields: i(P),
          onSearch: h
        }, null, 8, ["fields"]),
        R(O, {
          columns: b,
          currentRoleItem: e.currentRoleItem,
          tableData: i(x),
          tableLoading: i(o),
          onRowClick: D,
          total: i(f),
          selectedRowKeysFlag: i(l),
          onPageSizeChange: I,
          myPagination: "rule"
        }, null, 8, ["currentRoleItem", "tableData", "tableLoading", "total", "selectedRowKeysFlag"])
      ]);
    };
  }
}), G = /* @__PURE__ */ V(F, [["__scopeId", "data-v-15eff1e3"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/Resources/Rule.vue"]]), Me = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: G
}, Symbol.toStringTag, { value: "Module" }));
export {
  G as R,
  Me as _
};
