import { defineComponent as A, resolveComponent as _, openBlock as S, createElementBlock as D, createElementVNode as u, normalizeClass as x, unref as e, createVNode as t, withCtx as n, createBlock as C, createCommentVNode as N, withKeys as M, createTextVNode as k, pushScopeId as P, popScopeId as T } from "vue";
import { S as R } from "./types-b6ebfd92.mjs";
import { l as q } from "./index-1621650e.mjs";
import { message as $ } from "ant-design-vue";
import { cloneDeep as B } from "lodash";
import { _ as H } from "./_commonjsHelpers-4c55c438.mjs";
var d = /* @__PURE__ */ ((l) => (l.PHONE = "phone", l.USERNAME = "username", l))(d || {});
const U = {
  phone: {
    rules: {
      phone: [
        {
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      phone: "",
      password: ""
    }
  },
  username: {
    rules: {
      username: [
        {
          required: !0,
          message: "请输入用户名"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      username: "",
      password: ""
    }
  }
}, V = (l) => (P("data-v-2abdafa9"), l = l(), T(), l), j = { class: "login-wrapper" }, z = /* @__PURE__ */ V(() => /* @__PURE__ */ u("div", { class: "title" }, "欢迎登录", -1)), K = { class: "body" }, L = { class: "model_box" }, F = { class: "submit" }, G = { class: "link-wrapper" }, J = /* @__PURE__ */ A({
  __name: "index",
  emits: ["update:status"],
  setup(l, { emit: I }) {
    const w = I, y = useRouter(), h = ref(), f = ref(!1), i = ref(d.USERNAME), a = ref(), E = ref();
    watch(
      i,
      (s) => {
        a.value = B(U[s].formData), E.value = U[s].rules;
      },
      {
        immediate: !0
      }
    );
    const O = async () => {
      try {
        f.value = !0;
        const { username: s, password: o } = a.value;
        let p = await q.login(s, o);
        const { access_token: m, refresh_token: c, user_id: v } = p;
        localStorage.setItem("access_token", m), localStorage.setItem("refresh_token", c), localStorage.setItem("user_id", v), y.push("/");
      } catch (s) {
        $.error(s.msg);
      } finally {
        f.value = !1;
      }
    }, b = () => {
      var s;
      console.log("router :>> ", y), (s = h.value) == null || s.validate().then(() => {
        O();
      }).catch((o) => {
        console.log("error :>> ", o);
      });
    };
    return (s, o) => {
      const p = _("svg-icon"), m = _("a-input"), c = _("a-form-item"), v = _("a-form"), g = _("a-button");
      return S(), D("div", j, [
        z,
        u("div", K, [
          u("div", L, [
            u("div", {
              class: x(["model_item", "left", { active: e(i) === e(d).USERNAME }]),
              onClick: o[0] || (o[0] = (r) => i.value = e(d).USERNAME)
            }, " 用户名登录 ", 2),
            u("div", {
              class: x(["model_item", { active: e(i) === e(d).PHONE }]),
              onClick: o[1] || (o[1] = (r) => i.value = e(d).PHONE)
            }, " 手机号登录 ", 2)
          ]),
          t(v, {
            autocomplete: "off",
            model: e(a),
            rules: e(E),
            ref_key: "loginRef",
            ref: h
          }, {
            default: n(() => [
              e(i) === "username" ? (S(), C(c, {
                key: 0,
                name: "username"
              }, {
                default: n(() => [
                  t(m, {
                    value: e(a).username,
                    "onUpdate:value": o[2] || (o[2] = (r) => e(a).username = r),
                    class: "input-item",
                    placeholder: "用户名",
                    allowClear: ""
                  }, {
                    prefix: n(() => [
                      t(p, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : N("", !0),
              e(i) === "phone" ? (S(), C(c, {
                key: 1,
                name: "phone"
              }, {
                default: n(() => [
                  t(m, {
                    value: e(a).phone,
                    "onUpdate:value": o[3] || (o[3] = (r) => e(a).phone = r),
                    class: "input-phone",
                    allClear: "",
                    placeholder: "请输入手机号"
                  }, {
                    prefix: n(() => [
                      t(p, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : N("", !0),
              t(c, { name: "password" }, {
                default: n(() => [
                  t(m, {
                    type: "password",
                    value: e(a).password,
                    "onUpdate:value": o[4] || (o[4] = (r) => e(a).password = r),
                    class: "input-item",
                    placeholder: "密码",
                    allowClear: "",
                    onKeydown: M(b, ["enter"])
                  }, {
                    prefix: n(() => [
                      t(p, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          u("div", F, [
            t(g, {
              type: "primary",
              block: "",
              onClick: b,
              class: "input-item",
              loading: e(f)
            }, {
              default: n(() => [
                k(" 登录 ")
              ]),
              _: 1
            }, 8, ["loading"])
          ]),
          u("div", G, [
            t(g, {
              type: "link",
              onClick: o[5] || (o[5] = (r) => w("update:status", e(R).REGISTER))
            }, {
              default: n(() => [
                k("注册账号")
              ]),
              _: 1
            }),
            t(g, {
              class: "btn-forget-passwd",
              type: "link",
              onClick: o[6] || (o[6] = (r) => w("update:status", e(R).RESET_PASSWD))
            }, {
              default: n(() => [
                k("忘记密码")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
});
const W = /* @__PURE__ */ H(J, [["__scopeId", "data-v-2abdafa9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Signing/index.vue"]]), te = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: W
}, Symbol.toStringTag, { value: "Module" }));
export {
  W as S,
  te as _
};
