import { defineComponent as F, resolveComponent as v, openBlock as K, createElementBlock as P, createElementVNode as d, withKeys as j, createVNode as r, unref as i, withCtx as o, createTextVNode as g, toDisplayString as B, isRef as E, normalizeStyle as G, pushScopeId as M, popScopeId as Z } from "vue";
import { message as y } from "ant-design-vue";
import { r as J } from "./types-b6ebfd92-421b591b.mjs";
import { M as Q } from "./index-ffc3e36c-0324b166.mjs";
import { g as U } from "./index-f4d26339-456c0c67.mjs";
import { u as X } from "./index-e68e98a5.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
const T = (C) => (M("data-v-820c4a5d"), C = C(), Z(), C), Y = { class: "login-wrapper" }, H = /* @__PURE__ */ T(() => /* @__PURE__ */ d("div", { class: "title" }, "欢迎注册", -1)), W = { class: "submit" }, ee = { class: "link-wrapper" }, re = { class: "img-verify-code-content" }, ie = /* @__PURE__ */ T(() => /* @__PURE__ */ d("h3", null, "请输入验证码", -1)), ae = { class: "img-wrapper" }, oe = 180, te = /* @__PURE__ */ F({
  __name: "index",
  emits: ["update:status"],
  setup(C, { emit: q }) {
    const t = ref({
      username: "",
      password: "",
      phone: "",
      verifyCode: ""
    }), n = reactive({
      loading: !1,
      verifyCodeDisabled: !1,
      modelVisible: !1,
      getVerifyCodeText: "获取验证码"
    }), D = readonly({
      username: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^[a-zA-Z0-9]{4,10}$/,
          message: "用户名4到16位，由数字和字母组成"
        }
      ],
      password: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        }
      ],
      phone: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入手机号码"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      verifyCode: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入验证码"
        }
      ]
    }), b = ref(), N = q, k = () => {
      var a;
      (a = b.value) == null || a.validate().then(async (e) => {
        n.loading = !0;
        try {
          const { username: l, password: p, phone: m, verifyCode: u } = e;
          if (!await Q.register(l, l, p, m, u))
            return;
          y.success("注册成功"), t.value = {
            username: "",
            password: "",
            phone: "",
            verifyCode: ""
          };
        } catch (l) {
          y.error(l.msg);
        } finally {
          n.loading = !1;
        }
      });
    }, O = {
      imgVerifyCode: [
        {
          required: !0,
          message: "请输入验证码"
        }
      ]
    }, _ = ref(!1), x = ref(""), V = ref(""), c = ref(!1), I = ref(), h = ref(), f = reactive({
      imgVerifyCode: ""
    }), R = () => {
      var a;
      (a = b.value) == null || a.validateFields("phone").then(async () => {
        c.value = !0, w(), nextTick(() => {
          var e;
          (e = h.value) == null || e.focus();
        });
      });
    }, w = async () => {
      const a = await U.getImageCode();
      a && (x.value = a.imgKey, V.value = a.base64);
    }, $ = () => {
      c.value = !1;
    }, L = () => {
      var a;
      (a = I.value) == null || a.validateFields().then(
        async () => {
          var e;
          _.value = !0;
          try {
            await U.getResetPasswdSmsCode(
              t.value.phone,
              x.value,
              f.imgVerifyCode
            ), y.success("短信验证码已发送"), c.value = !1, z();
          } catch (l) {
            y.error(`验证码错误：${l.msg || "未知错误"}`), w(), f.imgVerifyCode = "", (e = h.value) == null || e.focus();
          } finally {
            _.value = !1;
          }
        },
        (e) => {
          y.error(JSON.stringify(e));
        }
      );
    }, z = () => {
      f.imgVerifyCode = "", n.verifyCodeDisabled = !0;
      let a = oe;
      const e = setInterval(() => {
        n.getVerifyCodeText = `${a}秒后重新获取`, a -= 1, a === 0 && (n.getVerifyCodeText = "获取验证码", n.verifyCodeDisabled = !1, clearInterval(e));
      }, 1e3);
    };
    return (a, e) => {
      const l = v("svg-icon"), p = v("a-input"), m = v("a-form-item"), u = v("a-button"), S = v("a-form"), A = v("a-modal");
      return K(), P("div", Y, [
        H,
        d("div", {
          class: "body",
          onKeydown: j(k, ["enter"])
        }, [
          r(S, {
            model: i(t),
            ref_key: "registerRef",
            ref: b,
            rules: i(D)
          }, {
            default: o(() => [
              r(m, { name: "username" }, {
                default: o(() => [
                  r(p, {
                    value: i(t).username,
                    "onUpdate:value": e[0] || (e[0] = (s) => i(t).username = s),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "用户名4到16位，由数字和字母组成"
                  }, {
                    prefix: o(() => [
                      r(l, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(m, { name: "password" }, {
                default: o(() => [
                  r(p, {
                    type: "password",
                    value: i(t).password,
                    "onUpdate:value": e[1] || (e[1] = (s) => i(t).password = s),
                    allowClear: "",
                    class: "input-item",
                    placeholder: "密码6到16位，包含数字和大小写字母"
                  }, {
                    prefix: o(() => [
                      r(l, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(m, { name: "phone" }, {
                default: o(() => [
                  r(p, {
                    maxLength: "11",
                    value: i(t).phone,
                    "onUpdate:value": e[2] || (e[2] = (s) => i(t).phone = s),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "手机号码"
                  }, {
                    prefix: o(() => [
                      r(l, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              r(m, { name: "verifyCode" }, {
                default: o(() => [
                  r(p, {
                    value: i(t).verifyCode,
                    "onUpdate:value": e[3] || (e[3] = (s) => i(t).verifyCode = s),
                    class: "input-item verify-code",
                    placeholder: "验证码"
                  }, {
                    prefix: o(() => [
                      r(l, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"]),
                  r(u, {
                    class: "btn-verify-code",
                    type: "link",
                    loading: i(_),
                    onClick: R,
                    disabled: i(n).verifyCodeDisabled
                  }, {
                    default: o(() => [
                      g(B(i(n).getVerifyCodeText), 1)
                    ]),
                    _: 1
                  }, 8, ["loading", "disabled"])
                ]),
                _: 1
              }),
              d("div", W, [
                r(u, {
                  type: "primary",
                  block: "",
                  onClick: k,
                  class: "input-item",
                  loading: i(n).loading
                }, {
                  default: o(() => [
                    g(" 注册 ")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              d("div", ee, [
                r(u, {
                  class: "btn-forget-passwd",
                  type: "link",
                  onClick: e[4] || (e[4] = () => N("update:status", i(J).SIGNING))
                }, {
                  default: o(() => [
                    g("立即登录")
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          r(A, {
            class: "img-verify-code-wrapper",
            open: i(c),
            "onUpdate:open": e[6] || (e[6] = (s) => E(c) ? c.value = s : null),
            footer: null,
            onCancel: $
          }, {
            default: o(() => [
              d("div", re, [
                ie,
                d("div", ae, [
                  d("img", {
                    class: "img-verify-code",
                    style: G({ "background-image": `url(${i(V)})` })
                  }, null, 4),
                  r(u, {
                    class: "btn-change-code",
                    type: "link",
                    onClick: w
                  }, {
                    default: o(() => [
                      g("看不清，换一个")
                    ]),
                    _: 1
                  })
                ]),
                r(S, {
                  ref_key: "codeFormRef",
                  ref: I,
                  model: i(f),
                  rules: O
                }, {
                  default: o(() => [
                    r(m, {
                      class: "input-img-code",
                      name: "imgVerifyCode"
                    }, {
                      default: o(() => [
                        r(p, {
                          ref_key: "verifyInputRef",
                          ref: h,
                          value: i(f).imgVerifyCode,
                          "onUpdate:value": e[5] || (e[5] = (s) => i(f).imgVerifyCode = s),
                          maxLength: 4,
                          allowClear: !0,
                          placeholder: "验证码"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    r(u, {
                      type: "primary",
                      block: "",
                      onClick: L,
                      class: "input-item",
                      loading: i(_)
                    }, {
                      default: o(() => [
                        g(" 确定 ")
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                }, 8, ["model"])
              ])
            ]),
            _: 1
          }, 8, ["open"])
        ], 32)
      ]);
    };
  }
}), le = /* @__PURE__ */ X(te, [["__scopeId", "data-v-820c4a5d"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Register/index.vue"]]), Ye = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: le
}, Symbol.toStringTag, { value: "Module" }));
export {
  le as R,
  Ye as _
};
