import { defineComponent as O, mergeModels as M, useModel as P, resolveComponent as x, openBlock as D, createElementBlock as $, createElementVNode as w, createVNode as m, unref as T, createBlock as W, withCtx as F, createTextVNode as h } from "vue";
import { message as b } from "ant-design-vue";
import { cloneDeep as N } from "lodash";
import { f as S } from "./index-4b1645f2.mjs";
import { _ as z } from "./_commonjsHelpers-4c55c438.mjs";
let G = (e) => crypto.getRandomValues(new Uint8Array(e)), Y = (e, t, r) => {
  let i = (2 << Math.log(e.length - 1) / Math.LN2) - 1, o = -~(1.6 * i * t / e.length);
  return (a = t) => {
    let d = "";
    for (; ; ) {
      let n = r(o), s = o;
      for (; s--; )
        if (d += e[n[s] & i] || "", d.length === a)
          return d;
    }
  };
}, U = (e, t = 21) => Y(e, t, G), I = !1, k = "", L = [], E = [];
const A = () => U("abcdefghijklmnopqrstuvwxyz", 1)() + U("abcdefghijklmnopqrstuvwxyz1234567890", 9)(), B = {
  LonLatField: [
    "lonField",
    "latField",
    "pcodeField",
    "ccodeField",
    "fcodeField",
    "pnameField",
    "cnameField",
    "fnameField",
    "addressField"
  ],
  NumberWithUnitField: ["valueField", "unitField"],
  DateRangeField: ["startField", "endField"],
  AdminField: ["field", "subField"]
};
function C(e, t, r) {
  var i;
  if (Array.isArray(e))
    e.forEach((o) => {
      C(o, t, r);
    });
  else {
    const o = (i = e == null ? void 0 : e.options) == null ? void 0 : i.children;
    Array.isArray(o) ? o.forEach((a) => {
      r && a.children ? a.children.forEach((d) => {
        R(d, t, r);
      }) : R(a, t, r);
    }) : R(e, t, r);
  }
}
function R(e, t, r) {
  var i, o, a;
  if ((i = e == null ? void 0 : e.type) != null && i.endsWith("Field")) {
    const d = J(e, t);
    r ? d.forEach(({ field: n, label: s }) => {
      L.includes(n) || E.push(s);
    }) : (Q(d, t), X(d, t), I && ee(d, t)), K(d, t);
  } else
    (o = e == null ? void 0 : e.type) != null && o.endsWith("SubForm") ? H(e, t, r) : (a = e == null ? void 0 : e.options) != null && a.children && C(e, t, r);
}
function H(e, t, r) {
  const { options: i } = e;
  i.field || (i.field = A());
  const o = [
    {
      name: i.field,
      formUid: i.formUid,
      depends: i.depends,
      required: i.required,
      label: i.label,
      sorted_field: i.sorted_field
    }
  ];
  K(o, t, !0), r || Z(o, t);
}
function J(e, t, r = !1) {
  const i = [], { type: o } = e, a = r ? e : e.options, d = N(a);
  return B[o] && !r ? B[o].forEach((n) => {
    var s;
    if (typeof a[n] == "object") {
      (s = a[n]) != null && s.field || (a[n].field = A());
      const u = N(a[n]);
      u.depends = a.depends, i.push(...J(u, t, !0));
    }
  }) : (d.name = a.field = a.field || A(), i.push(d)), i;
}
function Q(e, t) {
  e.forEach((r) => {
    const { label: i, type: o, name: a, unique: d, spareLabel: n } = r, s = t.fields.findIndex((p) => p.name == a), u = {
      //如果有依赖则为空
      // required: !depends && required,
      required: !1,
      unique: d,
      label: i,
      // 设置的导入导出Excel label
      spareLabel: n,
      type: o,
      name: a
    };
    s == -1 ? t.fields.push(u) : t.fields.splice(s, 1, u);
  });
}
function X(e, t) {
  e.forEach((r) => {
    r.dictRef && (t.dictRefs[r.name] = r.dictRef);
  });
}
function K(e, t, r = !1) {
  e.forEach((o) => {
    i(o, t, r);
  });
  function i(o, a, d) {
    const { name: n, depends: s, required: u, label: p } = o, v = d ? "subform" : "field", _ = d ? "subformValidators" : "fieldValidators", c = a.validators[_] || [];
    if (!u)
      a.validators[_] = c.filter((l) => Array.isArray(l.validators) ? l[v] === n ? (l.validators = l.validators.filter(
        ({ type: f }) => f !== "required"
      ), l.validators.length != 0) : !0 : !1);
    else {
      const l = c.find((f) => f[v] === n);
      if (l)
        s && (l.depends = s), p && (l.label = p), Array.isArray(l.validators) ? l.validators.some((q) => q.type === "required") || l.validators.push({ type: "required" }) : l.validators = [{ type: "required" }];
      else {
        const f = { label: p };
        f[v] = n, (s || u) && (s && (f.depends = s), u && (f.validators = [{ type: "required" }]), c.push(f));
      }
    }
  }
}
function Z(e, t) {
  e.forEach(({ formUid: r, sorted_field: i }) => {
    const o = {
      name: r,
      fk: "__main_form_record_uid_field__"
    };
    i && (o.sorted_field = i), t.subTables.push(o);
  });
}
function j(e, t) {
  if (t) {
    e.validators || (e.validators = {}), e.validators.fieldValidators || (e.validators.fieldValidators = []), e.validators.subformValidators || (e.validators.subformValidators = []), delete e.validators.subFormValidators;
    return;
  }
  Array.isArray(e.fields) || (e.fields = []), e.subTables = [], e.dictRefs = {}, e.validators || (e.validators = {}), e.validators.fieldValidators || (e.validators.fieldValidators = []), e.validators.subformValidators || (e.validators.subformValidators = []), e.table || (e.table = {}), Array.isArray(e.table.tableFields) || (e.table.tableFields = []), delete e.validators.subFormValidators, I = e.table.tableFields.length == 0;
}
function ee(e, t) {
  e.forEach((r) => {
    const { label: i, name: o, type: a } = r;
    t.table.tableFields.push({
      label: i,
      name: o,
      type: a,
      width: 100
    });
  });
}
function g(e, t) {
  if (t || te(e), !e.layout)
    return e;
  j(e, t);
  let r = e.layout;
  return e.layout.children && (r = e.layout.children), C(r, e, t), t || (k == "web" && (e.profile_web = {
    layout: e.layout,
    validators: e.validators
  }), e.profile_mobile && (L = e.fields.map((i) => i.name), g(e.profile_mobile, "app"), E.length > 0 && b.info(
    `app配置字段中 ${E.join(",")} 无法在数据库字段中找到，请修改配置！`
  ), L = [], E = [], k = "")), e;
}
function te(e) {
  e.profile_web && e.profile_mobile || e.profile_web ? (e.layout = e.profile_web.layout, e.validators = e.profile_web.validators, k = "web") : k = "";
}
const ie = { class: "max" }, le = { class: "content-box" }, re = {
  key: 1,
  class: "form-box"
}, ae = { class: "footer-box" }, oe = /* @__PURE__ */ O({
  name: "FormDesignEditor",
  __name: "index",
  props: /* @__PURE__ */ M({
    type: { type: String, required: !0 },
    data: { type: null, required: !0 }
  }, {
    open: {},
    openModifiers: {}
  }),
  emits: /* @__PURE__ */ M(["getList"], ["update:open"]),
  setup(e, { emit: t }) {
    const r = P(e, "open"), i = e, o = t, a = ref(), d = ref(), n = ref(!1);
    let s = "";
    const u = ref({
      formDef: {}
    });
    onMounted(() => {
      i.type === "add" ? (a.value.setValue({
        name: "",
        title: "",
        description: "",
        dicts: [],
        layout: [],
        fields: [],
        table: {
          searchItems: [
            {
              operator: "=",
              renderer: {
                type: "TextField",
                options: {
                  field: "test",
                  label: "搜索条件"
                }
              }
            }
          ],
          tableFields: [
            {
              label: "_id",
              name: "_id"
            }
          ]
        }
      }), s = "") : (a.value.setValue(i.data), s = i.data.name);
    });
    async function p() {
      const c = a.value.getValue();
      if (!c.state) {
        b.warning("请输入正确的json格式表单！");
        return;
      }
      const l = g(c.data);
      if (!l.name) {
        b.warning("表单name不能为空！");
        return;
      }
      try {
        s ? await S.updateFormDesign(s, l) : await S.addFormDesign(l), b.success(`${s ? "编辑" : "添加"}成功！`), r.value = !1, o("getList");
      } catch (f) {
        b.error(f.msg);
      }
    }
    function v(c) {
      if (!c) {
        const l = a.value.getValue();
        if (!l.state) {
          b.warning("请输入正确的json格式表单！");
          return;
        }
        u.value.formDef = g(l.data);
      }
      n.value = !c;
    }
    function _(c = !1) {
      const l = a.value.getValue();
      if (!l.state) {
        b.warning("请输入正确的json格式表单！");
        return;
      }
      c ? a.value.setValue(g(l.data)) : d.value.setValue(g(l.data));
    }
    return (c, l) => {
      const f = x("AceEditor"), q = x("GTForm"), y = x("a-button");
      return D(), $("div", ie, [
        w("div", le, [
          m(f, {
            class: "ace-editor",
            onBindKey: l[0] || (l[0] = (V) => _()),
            ref_key: "editor1",
            ref: a
          }, null, 512),
          T(n) ? (D(), $("div", re, [
            m(q, { options: T(u) }, null, 8, ["options"])
          ])) : (D(), W(f, {
            key: 0,
            class: "ace-editor",
            ref_key: "editor2",
            ref: d,
            theme: "monokai",
            readonly: ""
          }, null, 512))
        ]),
        w("div", ae, [
          w("div", null, [
            m(y, {
              type: "primary",
              onClick: l[1] || (l[1] = (V) => _())
            }, {
              default: F(() => [
                h("点击验证")
              ]),
              _: 1
            }),
            m(y, {
              type: "primary",
              onClick: l[2] || (l[2] = (V) => v(T(n)))
            }, {
              default: F(() => [
                h("切换视图")
              ]),
              _: 1
            }),
            m(y, {
              type: "primary",
              onClick: l[3] || (l[3] = (V) => _(!0))
            }, {
              default: F(() => [
                h("格式化")
              ]),
              _: 1
            })
          ]),
          w("div", null, [
            m(y, {
              onClick: l[4] || (l[4] = (V) => r.value = !1)
            }, {
              default: F(() => [
                h("取消")
              ]),
              _: 1
            }),
            m(y, {
              type: "primary",
              onClick: p
            }, {
              default: F(() => [
                h("确定")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
});
const de = /* @__PURE__ */ z(oe, [["__scopeId", "data-v-d6c0e998"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/components/FormDesignEditor/index.vue"]]), pe = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: de
}, Symbol.toStringTag, { value: "Module" }));
export {
  de as F,
  pe as _,
  U as c
};
