import { defineComponent as be, withAsyncContext as he, resolveComponent as E, unref as l, openBlock as N, createBlock as M, withCtx as q, createCommentVNode as H, createElementVNode as _e, createVNode as W, isRef as Fe, createElementBlock as ve, Fragment as Oe, createTextVNode as re } from "vue";
import { G as ke } from "./index-b41ab7d8.mjs";
import { G as De } from "./index-0dfca83c.mjs";
import { f as T } from "./index-cd07563e.mjs";
import { f as we } from "./index-4b1645f2.mjs";
import { compact as Te, keyBy as I, cloneDeep as ae } from "lodash";
import { message as _, Modal as Se } from "ant-design-vue";
import { _ as xe } from "./_commonjsHelpers-4c55c438.mjs";
const Ce = async (r) => r ? await we.queryFormDesign(r) : void 0, Ae = (r, n) => {
  if (!r)
    return !1;
  let s = r.substring(r.lastIndexOf(".") + 1, r.length);
  return s = s.toLocaleLowerCase(), n.includes(s);
}, G = (r, n) => {
  const s = r.map((i) => typeof i == "string" ? n.find(({ key: c }) => c == i) : i);
  return Te(s);
}, Re = (r, n) => {
  const s = {}, i = {}, c = {};
  let a = [];
  if (r.length != 0) {
    r.forEach((o) => {
      s[o[1]] = o[2], i[o[1]] = o;
    });
    for (let o = 0; o < n.length; o++) {
      const { field: g } = n[o].renderer.options;
      s[g] && (c[g] = s[g], delete s[g]);
    }
    a = Object.keys(s).map((o) => i[o]);
  }
  return {
    defaultFields: c,
    regularFilter: a
  };
}, j = [
  {
    key: "add",
    label: "添加",
    icon: "PlusOutlined"
  },
  {
    key: "download",
    label: "导出",
    icon: "DownloadOutlined"
  },
  {
    key: "import",
    label: "导入",
    icon: "ImportOutlined"
  },
  {
    key: "deletes",
    label: "批量删除",
    icon: "DeleteOutlined"
  }
], z = [
  {
    key: "edit",
    label: "编辑"
  },
  {
    key: "readonly",
    label: "查看"
  },
  {
    key: "delete",
    label: "删除",
    color: "#f00",
    confirm: !0
  }
], qe = async (r, n) => {
  var A;
  const s = ((A = n == null ? void 0 : n.query) == null ? void 0 : A.form) || r.formName, i = reactive({
    formDef: {},
    formRecordData: {},
    readonly: !1
  }), c = await Ce(s);
  if (r.customDicts) {
    const d = {
      ...I(c.dicts, "name"),
      ...I(r.customDicts, "name")
    };
    c.dicts = Object.values(d);
  }
  i.formDef = c;
  const { tableOptions: a } = r, { table: o, dicts: g } = c, S = computed(() => {
    let d = j;
    return a != null && a.tableOperators ? d = G(a.tableOperators, j) : o != null && o.tableOperators && (d = G(S, j)), d;
  }), x = computed(() => {
    let d = z;
    return a != null && a.recordOperators ? d = G(a.recordOperators, z) : o != null && o.recordOperators && (d = G(x, z)), d;
  }), u = {
    searchFields: [],
    tableFields: [],
    outFields: [],
    groups: {}
  };
  if (typeof r.formTableOptionsHandler == "function") {
    const d = await r.formTableOptionsHandler(o), { tableFields: m, outFields: v, searchItems: f, groups: b } = d || {};
    u.searchFields = f || [], u.tableFields = m || [], u.outFields = v || [], u.groups = b || {};
  } else {
    let { tableFields: d, outFields: m, searchItems: v, groups: f } = o || {};
    a != null && a.searchItems && (v = a.searchItems), a != null && a.tableFields && (d = a.tableFields), a != null && a.outFields && (m = a.outFields), a != null && a.groups && (f = a.groups), u.searchFields = v || [], u.tableFields = d || [], u.outFields = m || [], u.groups = f || {};
  }
  const { defaultFields: C, regularFilter: D } = Re(
    r.initFilter || [],
    u.searchFields
  ), F = (a == null ? void 0 : a.modalWidth) || (o == null ? void 0 : o.modalWidth) || "90%";
  return {
    formName: s,
    formOptions: i,
    dicts: g,
    recordOperators: x,
    tableOperators: S,
    ...u,
    defaultFields: C,
    regularFilter: D,
    modalWidth: F
  };
}, U = "_mis_sub_items", oe = function(r) {
  const n = {};
  return Object.keys(r).forEach((s) => {
    s == U ? r[U].forEach((i) => {
      n[i.form] = {
        form: i.form,
        data: i.data.map((c) => oe(c))
      };
    }) : n[s] = r[s];
  }), n;
}, V = function(r) {
  if (!r)
    return;
  const n = {}, s = [];
  return Object.keys(r).forEach((i) => {
    const c = r[i];
    Ee(c) ? (c.data = c.data.map((a) => V(a)), s.push(c)) : n[i] = c;
  }), s.length > 0 && (n[U] = s), n;
};
function Ee(r) {
  return r && typeof r == "object" && !Array.isArray(r) && r.form && r.data && Array.isArray(r.data);
}
const Ne = /* @__PURE__ */ be({
  name: "GTSearchTable",
  __name: "index",
  props: {
    tableOptions: { type: Object, required: !1 },
    formName: { type: String, required: !1 },
    showTitle: { type: Boolean, required: !1, default: !0 },
    yOffset: { type: Number, required: !1, default: 310 },
    searchListWidth: { type: Number, required: !1, default: 300 },
    operatorWidth: { type: Number, required: !1 },
    allowSelect: { type: Boolean, required: !1, default: !0 },
    customDicts: { type: Array, required: !1 },
    formTableOptionsHandler: { type: Function, required: !1 },
    beforeTableData: { type: Function, required: !1 },
    beforeSubmitHandler: { type: Function, required: !1 },
    beforeErrorMsg: { type: Function, required: !1 },
    initFilter: { type: Array, required: !1 }
  },
  emits: ["search-change", "operate"],
  async setup(r, { expose: n, emit: s }) {
    let i, c;
    const a = useRoute(), o = r, g = s, S = ref(), x = ref(), u = ref(), C = ref(!1), D = ref(!1), F = ref(!1), A = ref(0), d = ref(0), m = ref(""), v = ref([]), f = ref({
      page: {
        pageNum: 1,
        pageSize: 10
      },
      resolveSubItems: !0
    });
    n({ getList: w, tableData: v });
    const {
      formOptions: b,
      dicts: $,
      searchFields: B,
      tableFields: P,
      groups: le,
      recordOperators: Y,
      tableOperators: K,
      outFields: L,
      defaultFields: se,
      regularFilter: Q,
      formName: O,
      modalWidth: ne
    } = ([i, c] = he(() => qe(o, a)), i = await i, c(), i), J = computed(() => o.showTitle ? b.formDef.title : ""), ie = computed(() => J.value ? o.yOffset + 50 + d.value : o.yOffset + d.value), X = computed(() => {
      const t = {
        ...I(Y.value, "key"),
        ...I(K.value, "key")
      };
      return m.value ? t[m.value].label + "数据" : "查看数据";
    }), ce = (t) => {
      d.value = t;
    }, de = async (t) => {
      try {
        const e = t.target.files[0];
        if (!Ae(e.name, ["xls", "xlsx", "xlsm"])) {
          _.warning("只能导入Excel表格！");
          return;
        }
        await T.importFormData(O, e), _.success("导入成功！"), w();
      } catch (e) {
        _.error(e.msg);
      }
      t.target.value = "";
    }, fe = (t) => {
      let { field: e, order: p } = t;
      if (e && p) {
        let h = { field: e, direction: p };
        f.value.orders = [h];
      } else
        delete f.value.orders;
      w();
    }, ue = ({ key: t, data: e }) => {
      switch (t) {
        case "edit":
        case "readonly":
          Z(t, e);
          break;
        case "delete":
          ee([e._id]);
          break;
        default:
          g("operate", { key: t, data: e });
          break;
      }
    }, pe = ({ key: t, data: e }) => {
      if (t)
        switch (t) {
          case "add":
            Z(t);
            break;
          case "download":
            ge(e);
            break;
          case "import":
            u.value.click();
            break;
          case "deletes":
            me(e);
            break;
          default:
            g("operate", { key: t, data: e });
            break;
        }
    }, Z = (t, e = {}) => {
      const p = e ? ae(e) : "";
      b.formRecordData = oe(p), m.value = t, b.readonly = t === "readonly", F.value = !0;
    }, me = (t) => {
      t.length == 0 ? _.warning("请选择要删除的数据！") : Se.confirm({
        title: "信息",
        content: "是否确定删除已选择的数据？",
        onOk() {
          ee(t);
        },
        onCancel() {
        }
      });
    }, ee = async (t) => {
      try {
        await T.bathDeleteFormData(O, t), w();
      } catch (e) {
        console.log("error :>> ", e), _.error(e.msg);
      }
    }, ge = (t) => {
      let e = {};
      t.length == 0 ? (e = ae(f.value), delete e.page) : e = {
        filter: ["in", "_id", t]
      }, Array.isArray(L) && L.length != 0 && (e.outFields = L), e.resolveDic = !1, T.dataDownload(
        `${b.formDef.title || O}-填报数据.xlsx`,
        O,
        e
      );
    }, te = (t) => {
      let e = [];
      t.map(({ name: p, value: h, operator: k }) => {
        let R = [];
        switch (k) {
          case "like":
            R = [k, p, `%${h}%`];
            break;
          default:
            R = [k, p, h];
            break;
        }
        e.push(R);
      }), Q.length != 0 && e.push(...Q), e.length > 1 ? e.unshift("and") : e = e.flat(1), f.value.filter = e, f.value.page.pageNum = 1, w();
    }, ye = async () => {
      D.value = !0;
      const t = await x.value.submit();
      if (t.state) {
        let e = t.data;
        if (typeof o.beforeSubmitHandler == "function" && (e = await o.beforeSubmitHandler(e, m.value)), typeof e > "u") {
          D.value = !1;
          return;
        }
        try {
          m.value == "add" ? await T.addFormData(O, V(e)) : (e._id = b.formRecordData._id, await T.updateFormData(O, V(e))), _.success(`${X.value}成功！`), await w(), F.value = !1;
        } catch ({ msg: p, data: h, code: k }) {
          if (typeof o.beforeErrorMsg == "function")
            o.beforeErrorMsg({ msg: p, data: h, code: k });
          else
            switch (k) {
              case 4011:
                _.error(`${h.fields}不能重复！`);
                break;
              default:
                _.error(p);
                break;
            }
        } finally {
          D.value = !1;
        }
      } else
        D.value = !1;
    };
    async function w() {
      if (O)
        try {
          C.value = !0;
          let t = await T.searchFormData(O, f.value);
          typeof o.beforeTableData == "function" && (t = await o.beforeTableData(t)), A.value = t.total, v.value = t.list;
        } catch (t) {
          _.error(t.msg);
        } finally {
          C.value = !1;
        }
    }
    return onMounted(() => {
      B.length !== 0 ? S.value.submitHandler() : te([]);
    }), (t, e) => {
      const p = E("a-button"), h = E("GTForm"), k = E("a-modal"), R = E("a-card");
      return l(b).formDef ? (N(), M(R, {
        key: 0,
        class: "card-max",
        title: l(J)
      }, {
        default: q(() => [
          l(B).length != 0 ? (N(), M(ke, {
            key: 0,
            ref_key: "search_box",
            ref: S,
            listWidth: t.searchListWidth,
            fields: l(B),
            onSearch: te,
            onChange: e[0] || (e[0] = (y) => g("search-change", y)),
            defaultFields: l(se),
            dicts: l($),
            onAddHeight: ce
          }, null, 8, ["listWidth", "fields", "defaultFields", "dicts"])) : H("", !0),
          _e("input", {
            type: "file",
            ref_key: "import_file",
            ref: u,
            onInput: e[1] || (e[1] = (y) => de(y)),
            accept: "application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
            style: { display: "none" }
          }, null, 544),
          l(P).length != 0 ? (N(), M(De, {
            key: 1,
            fields: l(P),
            data: l(v),
            recordOperators: l(Y),
            tableOperators: l(K),
            onTableOperatorClick: pe,
            onRecordOperatorClick: ue,
            pageCurrent: l(f).page.pageNum,
            "onUpdate:pageCurrent": e[2] || (e[2] = (y) => l(f).page.pageNum = y),
            pageSize: l(f).page.pageSize,
            "onUpdate:pageSize": e[3] || (e[3] = (y) => l(f).page.pageSize = y),
            total: l(A),
            dicts: l($),
            groups: l(le),
            allowSelect: t.allowSelect,
            keyField: "_id",
            yOffset: l(ie),
            loading: l(C),
            operatorWidth: t.operatorWidth,
            onRefresh: fe
          }, null, 8, ["fields", "data", "recordOperators", "tableOperators", "pageCurrent", "pageSize", "total", "dicts", "groups", "allowSelect", "yOffset", "loading", "operatorWidth"])) : H("", !0),
          W(k, {
            open: l(F),
            "onUpdate:open": e[5] || (e[5] = (y) => Fe(F) ? F.value = y : null),
            title: l(X),
            maskClosable: !1,
            destroyOnClose: "",
            width: l(ne),
            getContainer: ".card-max",
            class: "form-modal-box"
          }, {
            footer: q(() => [
              l(m) !== "readonly" ? (N(), ve(Oe, { key: 0 }, [
                W(p, {
                  key: "back",
                  onClick: e[4] || (e[4] = (y) => F.value = !1)
                }, {
                  default: q(() => [
                    re("取消")
                  ]),
                  _: 1
                }),
                W(p, {
                  key: "submit",
                  type: "primary",
                  loading: l(D),
                  onClick: ye
                }, {
                  default: q(() => [
                    re("确认")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ], 64)) : H("", !0)
            ]),
            default: q(() => [
              W(h, {
                ref_key: "gt_form",
                ref: x,
                options: l(b)
              }, null, 8, ["options"])
            ]),
            _: 1
          }, 8, ["open", "title", "width"])
        ]),
        _: 1
      }, 8, ["title"])) : H("", !0);
    };
  }
});
const He = /* @__PURE__ */ xe(Ne, [["__scopeId", "data-v-fa470cbf"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/components/GTSearchTable/index.vue"]]), Ue = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: He
}, Symbol.toStringTag, { value: "Module" }));
export {
  He as G,
  Ue as _
};
