import { defineComponent as j, resolveComponent as k, openBlock as C, createBlock as w, withCtx as c, createVNode as s, unref as a, createElementVNode as E, normalizeClass as L, isRef as y, Suspense as q } from "vue";
import { G as H } from "./index-b41ab7d8.mjs";
import { G as B } from "./index-0dfca83c.mjs";
import { f as m } from "./index-4b1645f2.mjs";
import { message as n } from "ant-design-vue";
import { G as M } from "./index-3f50a766.mjs";
import { F as P } from "./index-3052f625.mjs";
import { F as Q } from "./index-ddd78ab5.mjs";
import { F as V } from "./index-0a2e6a7c.mjs";
import { _ as A } from "./_commonjsHelpers-4c55c438.mjs";
const K = [
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableTitle",
        label: "表单标题"
      }
    }
  },
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableName",
        label: "表单名称"
      }
    }
  }
], $ = [
  { name: "table_title", label: "表单标题" },
  { name: "table_name", label: "表单名称" },
  { name: "version", label: "版本", align: "center", width: 60 },
  { name: "status", label: "运行状态", align: "center", dict: "运行状态", width: 120 },
  {
    name: "update_time",
    type: "datetime",
    label: "更新时间",
    align: "center",
    width: 180
  }
], J = [
  { label: "添加", key: "add", icon: "PlusOutlined" },
  { label: "导入", key: "import", icon: "ImportOutlined" },
  { label: "导出", key: "export", icon: "ExportOutlined" }
], W = [
  { label: "编辑", key: "edit" },
  { label: "删除", key: "delete", color: "#f00", confirm: !0 },
  {
    label: "更多",
    children: [
      { label: "数据", key: "readonly" },
      { label: "规则", key: "rule" },
      { label: "授权", key: "auth" }
    ]
  }
], X = [
  {
    name: "运行状态",
    type: "inline",
    items: [
      {
        label: "未开始",
        value: 0,
        tagColor: "warning",
        tag: !0
      },
      {
        label: "运行中",
        value: 1,
        tagColor: "success",
        tag: !0
      },
      {
        label: "已结束",
        value: -1,
        tagColor: "error",
        tag: !0
      }
    ]
  }
], Y = /* @__PURE__ */ j({
  name: "FormDesign",
  __name: "index",
  setup(ee) {
    const x = ref(), F = ref([]), i = ref({
      page: 1,
      size: 10
    }), l = ref(!1), p = ref(!1), f = ref(!1), h = ref(0), _ = ref(!1), u = ref(""), D = ref(), v = ref(""), g = ref(), d = async () => {
      _.value = !0;
      try {
        const t = await m.searchFormDesign(i.value);
        h.value = t.total, F.value = t.list;
      } catch (t) {
        n.error(t.msg);
      } finally {
        _.value = !1;
      }
    }, O = async (t) => {
      try {
        const e = t.target.files[0];
        if (!R(e.name, ["json"])) {
          n.warning("只能导入json格式文件！");
          return;
        }
        const r = await m.formDesignImport(e), b = (r == null ? void 0 : r.failedIds) || [];
        b.length != 0 ? n.warning(`${b.join(",")}导入失败，其余都已成功导入！`, 10) : n.success("导入成功！"), d();
      } catch (e) {
        n.error(e.msg);
      }
      t.target.value = "";
    }, T = (t) => {
      const e = {
        page: 1,
        size: 10
      };
      t.forEach((r) => {
        e[r.name] = r.value;
      }), i.value = { ...e }, d();
    }, z = ({ key: t, data: e }) => {
      switch (u.value = t, g.value = e, t) {
        case "delete":
          G(e);
          break;
        case "edit":
          I(e);
          break;
        case "readonly":
          l.value = !0;
          break;
        case "rule":
          p.value = !0;
          break;
        case "auth":
          f.value = !0;
          break;
      }
    }, N = ({ key: t, data: e }) => {
      switch (t) {
        case "import":
          x.value.click();
          break;
        case "export":
          S(e);
          break;
        case "add":
          u.value = t, v.value = "添加表单", l.value = !0;
          break;
      }
    };
    async function G({ _id: t }) {
      try {
        await m.deleteFormDesign(t), n.success("删除成功！"), d();
      } catch (e) {
        n.error(e.msg);
      }
    }
    async function I(t) {
      try {
        const e = await m.queryFormDesign(t._id);
        D.value = e, v.value = "编辑表单", l.value = !0;
      } catch (e) {
        n.error(e.msg);
      }
    }
    function R(t, e) {
      if (!t)
        return !1;
      let r = t.substring(t.lastIndexOf(".") + 1, t.length);
      return r = r.toLocaleLowerCase(), e.includes(r);
    }
    function S(t) {
      if (t.length === 0) {
        n.warning("请选择要导出的表单定义！");
        return;
      }
      m.formDesignExport(t);
    }
    return onMounted(() => {
      d();
    }), (t, e) => {
      const r = k("a-modal"), b = k("a-drawer"), U = k("a-card");
      return C(), w(U, {
        title: "表单管理",
        class: "form-design-max"
      }, {
        default: c(() => [
          s(H, {
            fields: a(K),
            onSearch: T
          }, null, 8, ["fields"]),
          E("input", {
            type: "file",
            ref_key: "import_file",
            ref: x,
            onInput: e[0] || (e[0] = (o) => O(o)),
            accept: ".json",
            style: { display: "none" }
          }, null, 544),
          s(B, {
            data: a(F),
            fields: a($),
            "table-operators": a(J),
            "record-operators": a(W),
            "page-current": a(i).page,
            "onUpdate:pageCurrent": e[1] || (e[1] = (o) => a(i).page = o),
            "page-size": a(i).size,
            "onUpdate:pageSize": e[2] || (e[2] = (o) => a(i).size = o),
            onRefresh: d,
            loading: a(_),
            dicts: a(X),
            total: a(h),
            "allow-select": "",
            "y-offset": 390,
            onRecordOperatorClick: z,
            onTableOperatorClick: N
          }, null, 8, ["data", "fields", "table-operators", "record-operators", "page-current", "page-size", "loading", "dicts", "total"]),
          s(r, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: L(["form-design-model", { "form-design-model-data": a(u) === "readonly" }]),
            open: a(l),
            "onUpdate:open": e[4] || (e[4] = (o) => y(l) ? l.value = o : null),
            title: a(v),
            footer: null
          }, {
            default: c(() => [
              a(u) === "readonly" ? (C(), w(q, { key: 0 }, {
                default: c(() => [
                  s(M, {
                    "form-name": a(g)._id
                  }, null, 8, ["form-name"])
                ]),
                _: 1
              })) : (C(), w(P, {
                key: 1,
                open: a(l),
                "onUpdate:open": e[3] || (e[3] = (o) => y(l) ? l.value = o : null),
                onGetList: d,
                type: a(u),
                data: a(D)
              }, null, 8, ["open", "type", "data"]))
            ]),
            _: 1
          }, 8, ["class", "open", "title"]),
          s(b, {
            open: a(p),
            "onUpdate:open": e[5] || (e[5] = (o) => y(p) ? p.value = o : null),
            rootClassName: "form-design-rule",
            getContainer: ".form-design-max",
            title: "资源权限规则",
            placement: "right",
            destroyOnClose: "",
            maskClosable: !1
          }, {
            default: c(() => {
              var o;
              return [
                s(Q, {
                  formName: (o = a(g)) == null ? void 0 : o._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"]),
          s(r, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: "role-model",
            open: a(f),
            "onUpdate:open": e[6] || (e[6] = (o) => y(f) ? f.value = o : null),
            title: "授权角色",
            style: { width: "800px" },
            footer: null
          }, {
            default: c(() => {
              var o;
              return [
                s(V, {
                  formName: (o = a(g)) == null ? void 0 : o._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"])
        ]),
        _: 1
      });
    };
  }
});
const Z = /* @__PURE__ */ A(Y, [["__scopeId", "data-v-a22316a5"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/index.vue"]]), ce = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Z
}, Symbol.toStringTag, { value: "Module" }));
export {
  ce as _
};
