import { defineComponent as g, openBlock as b, createElementBlock as E, createVNode as h, unref as m } from "vue";
import { h as D } from "./index-62af557f-374a8a2b.mjs";
import { a as p, t as s, u as I } from "./index-e68e98a5.mjs";
import { e as l } from "./Workspace-99d9a434-4191cbd4.mjs";
import { message as n } from "ant-design-vue";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-d66596a1.mjs";
import "./index-b41ab7d8.mjs";
import "./index-0dfca83c.mjs";
import "./index-cd07563e.mjs";
import "./Xhttp-31c5c56a.mjs";
import "./index-3f50a766.mjs";
import "./index-4b1645f2.mjs";
import "./index-0aa2c910.mjs";
import "./index-3052f625.mjs";
import "./Workspace-b0c76eb5.mjs";
import "./index-1621650e.mjs";
import "./index-0a2e6a7c.mjs";
import "./index-ddd78ab5.mjs";
import "./index-3b037843.mjs";
import "./index-7b78a6ac.mjs";
import "./index-1d2124f6.mjs";
import "./index-f555427e.mjs";
import "./types-b6ebfd92.mjs";
import "./index-96ae9e92.mjs";
import "./index-00b0b848.mjs";
import "./index-0ae79694.mjs";
import "./index-7e38709c.mjs";
import "./index-7cb0aa8a.mjs";
import "./index-99e9a3dd.mjs";
import "./index-0d3452ba.mjs";
import "./ModifyResource-649c9159.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-409d4975.mjs";
import "./index-0c2da789.mjs";
import "./index-a3356091.mjs";
import "./index-3b089557.mjs";
import "./index-a174607d.mjs";
import "./index-69a9221c.mjs";
import "./index-ffc3e36c-0324b166.mjs";
const R = {
  // 查询菜单树
  // TODO 后台接口问题，不传 {} 会报错
  async queryMenuTree() {
    return await p.get(s.TREE_LIST, {});
  },
  // 添加新菜单
  async addMenu(r) {
    return await p.post(s.ADD_MENU, r);
  },
  async deleteMenu(r) {
    return await p.delete(s.DELETE_MENU(r));
  },
  async modifyMenu(r) {
    return await p.put(s.UPDATE_MENU(r._id), r);
  }
}, T = { class: "menu-box" }, x = /* @__PURE__ */ g({
  __name: "index",
  props: {
    currentRoleItem: { type: Object, required: !0 }
  },
  setup(r) {
    let u = ref(0), a = ref(!1);
    const c = ref([]), i = ref([]), d = r, y = [
      {
        title: "名称",
        dataIndex: "name"
      },
      {
        title: "路径",
        dataIndex: "uri"
      },
      {
        title: "组件",
        dataIndex: "component"
      }
    ], f = async () => {
      a.value = !0;
      try {
        const e = await R.queryMenuTree();
        c.value = e, u.value = e.length;
      } catch ({ msg: e }) {
        n.error(e);
      } finally {
        a.value = !1;
      }
    }, v = async () => {
      const { _id: e } = d.currentRoleItem, t = await l.queryAuthorizeMenus(e);
      i.value = t.map((o) => o._id);
    };
    onMounted(async () => {
      await f(), await v();
    });
    const _ = async (e, t) => {
      const { _id: o } = d.currentRoleItem;
      t ? await w(o, e) : await M(o, e);
    }, w = async (e, t) => {
      a.value = !0;
      try {
        await l.authorizeMenu(e, t), n.success("授权成功"), i.value.push(...t);
      } catch ({ msg: o }) {
        n.error(o);
      } finally {
        a.value = !1;
      }
    }, M = async (e, t) => {
      a.value = !0;
      try {
        await l.revokeMenu(e, t), n.success("取消授权成功"), i.value = i.value.filter((o) => !t.includes(o));
      } catch ({ msg: o }) {
        n.error(o);
      } finally {
        a.value = !1;
      }
    };
    return (e, t) => (b(), E("div", T, [
      h(D, {
        columns: y,
        tableData: m(c),
        tableLoading: m(a),
        onRowClick: _,
        total: m(u),
        selectedRowKeysFlag: m(i),
        pagination: !1,
        scrollY: 240
      }, null, 8, ["tableData", "tableLoading", "total", "selectedRowKeysFlag"])
    ]));
  }
}), k = /* @__PURE__ */ I(x, [["__scopeId", "data-v-5976b1f1"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/Permission/components/Menu/index.vue"]]), ge = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: k
}, Symbol.toStringTag, { value: "Module" }));
export {
  k as M,
  ge as _,
  R as m
};
