import { defineComponent as F, resolveComponent as g, openBlock as K, createElementBlock as E, createElementVNode as d, withKeys as P, createVNode as o, unref as t, withCtx as r, createTextVNode as v, toDisplayString as j, isRef as B, normalizeStyle as G, pushScopeId as Z, popScopeId as H } from "vue";
import { message as _ } from "ant-design-vue";
import { S as J } from "./types-b6ebfd92.mjs";
import { l as M } from "./index-1621650e.mjs";
import { s as R } from "./index-96ae9e92.mjs";
import { _ as W } from "./_commonjsHelpers-4c55c438.mjs";
const T = (y) => (Z("data-v-820c4a5d"), y = y(), H(), y), Q = { class: "login-wrapper" }, X = /* @__PURE__ */ T(() => /* @__PURE__ */ d("div", { class: "title" }, "欢迎注册", -1)), Y = { class: "submit" }, ee = { class: "link-wrapper" }, oe = { class: "img-verify-code-content" }, te = /* @__PURE__ */ T(() => /* @__PURE__ */ d("h3", null, "请输入验证码", -1)), se = { class: "img-wrapper" }, re = 180, ae = /* @__PURE__ */ F({
  __name: "index",
  emits: ["update:status"],
  setup(y, { emit: O }) {
    const a = ref({
      username: "",
      password: "",
      phone: "",
      verifyCode: ""
    }), l = reactive({
      loading: !1,
      verifyCodeDisabled: !1,
      modelVisible: !1,
      getVerifyCodeText: "获取验证码"
    }), U = readonly({
      username: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^[a-zA-Z0-9]{4,10}$/,
          message: "用户名4到16位，由数字和字母组成"
        }
      ],
      password: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        }
      ],
      phone: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入手机号码"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      verifyCode: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入验证码"
        }
      ]
    }), b = ref(), D = O, k = () => {
      var s;
      (s = b.value) == null || s.validate().then(async (e) => {
        l.loading = !0;
        try {
          const { username: i, password: u, phone: c, verifyCode: f } = e;
          if (!await M.register(i, i, u, c, f))
            return;
          _.success("注册成功"), a.value = {
            username: "",
            password: "",
            phone: "",
            verifyCode: ""
          };
        } catch (i) {
          _.error(i.msg);
        } finally {
          l.loading = !1;
        }
      });
    }, N = {
      imgVerifyCode: [
        {
          required: !0,
          message: "请输入验证码"
        }
      ]
    }, C = ref(!1), V = ref(""), I = ref(""), p = ref(!1), S = ref(), w = ref(), m = reactive({
      imgVerifyCode: ""
    }), q = () => {
      var s;
      (s = b.value) == null || s.validateFields("phone").then(async () => {
        p.value = !0, h(), nextTick(() => {
          var e;
          (e = w.value) == null || e.focus();
        });
      });
    }, h = async () => {
      const s = await R.getImageCode();
      s && (V.value = s.imgKey, I.value = s.base64);
    }, A = () => {
      p.value = !1;
    }, L = () => {
      var s;
      (s = S.value) == null || s.validateFields().then(
        async () => {
          var e;
          C.value = !0;
          try {
            await R.getResetPasswdSmsCode(
              a.value.phone,
              V.value,
              m.imgVerifyCode
            ), _.success("短信验证码已发送"), p.value = !1, $();
          } catch (i) {
            _.error(`验证码错误：${i.msg || "未知错误"}`), h(), m.imgVerifyCode = "", (e = w.value) == null || e.focus();
          } finally {
            C.value = !1;
          }
        },
        (e) => {
          _.error(JSON.stringify(e));
        }
      );
    }, $ = () => {
      m.imgVerifyCode = "", l.verifyCodeDisabled = !0;
      let s = re;
      const e = setInterval(() => {
        l.getVerifyCodeText = `${s}秒后重新获取`, s -= 1, s === 0 && (l.getVerifyCodeText = "获取验证码", l.verifyCodeDisabled = !1, clearInterval(e));
      }, 1e3);
    };
    return (s, e) => {
      const i = g("svg-icon"), u = g("a-input"), c = g("a-form-item"), f = g("a-button"), x = g("a-form"), z = g("a-modal");
      return K(), E("div", Q, [
        X,
        d("div", {
          class: "body",
          onKeydown: P(k, ["enter"])
        }, [
          o(x, {
            model: t(a),
            ref_key: "registerRef",
            ref: b,
            rules: t(U)
          }, {
            default: r(() => [
              o(c, { name: "username" }, {
                default: r(() => [
                  o(u, {
                    value: t(a).username,
                    "onUpdate:value": e[0] || (e[0] = (n) => t(a).username = n),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "用户名4到16位，由数字和字母组成"
                  }, {
                    prefix: r(() => [
                      o(i, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(c, { name: "password" }, {
                default: r(() => [
                  o(u, {
                    type: "password",
                    value: t(a).password,
                    "onUpdate:value": e[1] || (e[1] = (n) => t(a).password = n),
                    allowClear: "",
                    class: "input-item",
                    placeholder: "密码6到16位，包含数字和大小写字母"
                  }, {
                    prefix: r(() => [
                      o(i, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(c, { name: "phone" }, {
                default: r(() => [
                  o(u, {
                    maxLength: "11",
                    value: t(a).phone,
                    "onUpdate:value": e[2] || (e[2] = (n) => t(a).phone = n),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "手机号码"
                  }, {
                    prefix: r(() => [
                      o(i, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(c, { name: "verifyCode" }, {
                default: r(() => [
                  o(u, {
                    value: t(a).verifyCode,
                    "onUpdate:value": e[3] || (e[3] = (n) => t(a).verifyCode = n),
                    class: "input-item verify-code",
                    placeholder: "验证码"
                  }, {
                    prefix: r(() => [
                      o(i, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"]),
                  o(f, {
                    class: "btn-verify-code",
                    type: "link",
                    loading: t(C),
                    onClick: q,
                    disabled: t(l).verifyCodeDisabled
                  }, {
                    default: r(() => [
                      v(j(t(l).getVerifyCodeText), 1)
                    ]),
                    _: 1
                  }, 8, ["loading", "disabled"])
                ]),
                _: 1
              }),
              d("div", Y, [
                o(f, {
                  type: "primary",
                  block: "",
                  onClick: k,
                  class: "input-item",
                  loading: t(l).loading
                }, {
                  default: r(() => [
                    v(" 注册 ")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              d("div", ee, [
                o(f, {
                  class: "btn-forget-passwd",
                  type: "link",
                  onClick: e[4] || (e[4] = () => D("update:status", t(J).SIGNING))
                }, {
                  default: r(() => [
                    v("立即登录")
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          o(z, {
            class: "img-verify-code-wrapper",
            open: t(p),
            "onUpdate:open": e[6] || (e[6] = (n) => B(p) ? p.value = n : null),
            footer: null,
            onCancel: A
          }, {
            default: r(() => [
              d("div", oe, [
                te,
                d("div", se, [
                  d("img", {
                    class: "img-verify-code",
                    style: G({ "background-image": `url(${t(I)})` })
                  }, null, 4),
                  o(f, {
                    class: "btn-change-code",
                    type: "link",
                    onClick: h
                  }, {
                    default: r(() => [
                      v("看不清，换一个")
                    ]),
                    _: 1
                  })
                ]),
                o(x, {
                  ref_key: "codeFormRef",
                  ref: S,
                  model: t(m),
                  rules: N
                }, {
                  default: r(() => [
                    o(c, {
                      class: "input-img-code",
                      name: "imgVerifyCode"
                    }, {
                      default: r(() => [
                        o(u, {
                          ref_key: "verifyInputRef",
                          ref: w,
                          value: t(m).imgVerifyCode,
                          "onUpdate:value": e[5] || (e[5] = (n) => t(m).imgVerifyCode = n),
                          maxLength: 4,
                          allowClear: !0,
                          placeholder: "验证码"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    o(f, {
                      type: "primary",
                      block: "",
                      onClick: L,
                      class: "input-item",
                      loading: t(C)
                    }, {
                      default: r(() => [
                        v(" 确定 ")
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                }, 8, ["model"])
              ])
            ]),
            _: 1
          }, 8, ["open"])
        ], 32)
      ]);
    };
  }
});
const ie = /* @__PURE__ */ W(ae, [["__scopeId", "data-v-820c4a5d"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Register/index.vue"]]), pe = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ie
}, Symbol.toStringTag, { value: "Module" }));
export {
  ie as R,
  pe as _
};
